<?php
	
	/* ==================================================
	
	This is where *some* the magic happens! If you NEED to edit this then
	be VERY careful. Things can get terribly messy if this gets messed up!
	
	================================================== */
	
	define('SF_TEMPLATE_PATH', get_template_directory());
	define('SF_INCLUDES_PATH', SF_TEMPLATE_PATH . '/includes');
	define('SF_WIDGETS_PATH', SF_INCLUDES_PATH . '/widgets');
	define('SF_LOCAL_PATH', get_template_directory_uri());
	
	
	/* INCLUDES
	================================================== */
	
	/* Add custom post types */
	require_once(SF_INCLUDES_PATH . '/custom-post-types/portfolio-type.php');
	require_once(SF_INCLUDES_PATH . '/custom-post-types/team-type.php');
	require_once(SF_INCLUDES_PATH . '/custom-post-types/clients-type.php');
	
	/* Add image resizer */
	require_once(SF_INCLUDES_PATH . '/plugins/aq_resizer.php');
		
	/* Add meta boxes */
	include(SF_INCLUDES_PATH . '/meta-box/meta-box.php');
	include(SF_INCLUDES_PATH . '/meta-boxes.php');
	
	/* Add shortcodes */
	include(SF_INCLUDES_PATH . '/shortcodes.php');
	
	/* Add Swift Framework Functions */
	include(SF_INCLUDES_PATH . '/sf-functions.php');	
	
	/* Dropdown menu support */
	include(SF_INCLUDES_PATH . '/plugins/dropdown-menus.php');
	
	/* Include plugins */
	include(SF_INCLUDES_PATH . '/plugin-includes.php');	
	include(SF_INCLUDES_PATH . '/plugins/ambrosite-post-link-plus.php');
	include(SF_INCLUDES_PATH . '/plugins/love-it-pro/love-it-pro.php');
	
	/* Include widgets */
	include(SF_WIDGETS_PATH . '/widget-flickr.php');
	include(SF_WIDGETS_PATH . '/widget-twitter.php');
	include(SF_WIDGETS_PATH . '/widget-video.php');
	
	/* Include Theme Update */
	require_once(SF_INCLUDES_PATH . '/wp-updates-theme.php');
	new WPUpdatesThemeUpdater( 'http://wp-updates.com/api/1/theme', 49, basename(get_template_directory()) );
	
	
	/* THEME OPTIONS FRAMEWORK
	================================================== */  
	
	require_once (SF_INCLUDES_PATH . '/admin/index.php');
	
	
	/* CUSTOMIZER OPTIONS
	================================================== */ 
	
	require_once (SF_INCLUDES_PATH . '/sf-customizer-options.php');
	

	/* THEME SUPPORT
	================================================== */  
	
	add_theme_support( 'post-formats', array('quote', 'status') );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'post-thumbnails' );
	set_post_thumbnail_size( 220, 150, true);
	add_image_size( 'thumb-image', 500, 375, true);
	add_image_size( 'blog-image', 640, 9999);
	add_image_size( 'full-width-image', 1000, 563, true);
	add_image_size( 'full-image', 1000, 9999);
	
	/* CONTENT WIDTH
	================================================== */
	
	if ( ! isset( $content_width ) ) $content_width = 940;
	
	
	/* LOAD THEME LANGUAGE
	================================================== */
	
	load_theme_textdomain('swiftframework', SF_TEMPLATE_PATH.'/language');
	
	$locale = get_locale();
	$locale_file = SF_TEMPLATE_PATH."/language/$locale.php";
	
	if (is_readable($locale_file)) {
		require_once($locale_file);
	}
	
	
	/* LOAD STYLES & SCRIPTS
	================================================== */
	
	function enqueue_styles() {  
			
	    wp_register_style('base-css', SF_LOCAL_PATH . '/css/base.css', array(), '1.0', 'screen');  
	    wp_register_style('skeleton-css', SF_LOCAL_PATH . '/css/skeleton.css', array(), '1.0', 'screen');  
	    wp_register_style('fontawesome-css', SF_LOCAL_PATH . '/css/font-awesome.css', array(), '1.0', 'screen');  
	    wp_register_style('main-css', SF_LOCAL_PATH . '/style.css', array(), '1.0', 'screen');  
	    wp_register_style('layout-css', SF_LOCAL_PATH . '/css/layout.css', array(), '1.0', 'screen');
	    
	    wp_enqueue_style('base-css');  
	    wp_enqueue_style('skeleton-css');  
	    wp_enqueue_style('fontawesome-css'); 
	    wp_enqueue_style('main-css');  
	    wp_enqueue_style('layout-css'); 
	
	}
	
	add_action('wp_enqueue_scripts', 'enqueue_styles');  
	
	function enqueue_scripts() {

	    wp_register_script('history', get_template_directory_uri() . '/js/jquery.history.js', 'jquery', '1.7.1', TRUE);	    
	    wp_register_script('flexslider', get_template_directory_uri() . '/js/jquery.flexslider-min.js', 'jquery', '2.1', TRUE);
	    wp_register_script('isotope', get_template_directory_uri() . '/js/jquery.isotope.min.js', 'jquery', '1.0', TRUE);
	    wp_register_script('easing', get_template_directory_uri() . '/js/jquery.easing.1.3.js', 'jquery', '1.3', TRUE);
	    wp_register_script('hoverIntent', get_template_directory_uri() . '/js/jquery.hoverIntent.min.js', 'jquery', '1.0', TRUE);
	    wp_register_script('jqueryUI', get_template_directory_uri() . '/js/jquery-ui-1.8.17.custom.min.js', 'jquery', '1.8.17', TRUE);
	    wp_register_script('fancybox', get_template_directory_uri() . '/js/jquery.fancybox.pack.js', 'jquery', '2.1.1', FALSE , TRUE);
	    wp_register_script('viewjs', get_template_directory_uri() . '/js/view.min.js?auto', 'jquery', FALSE , TRUE);
	    wp_register_script('fitvids', get_template_directory_uri() . '/js/jquery.fitvids.js', 'jquery', '1.0', TRUE);
	    wp_register_script('viewport', get_template_directory_uri() . '/js/jquery.viewport.mini.js', 'jquery', '1.0', TRUE);	    
	    wp_register_script('imagesloaded', get_template_directory_uri() . '/js/jquery.imagesloaded.min.js', 'jquery', '1.0', TRUE);	    
	    wp_register_script('respond', get_template_directory_uri() . '/js/respond.min.js', 'jquery', '1.0', TRUE);
		wp_register_script('maps', 'http://maps.google.com/maps/api/js?sensor=false', 'jquery', FALSE, TRUE);
	    wp_register_script('functions', get_template_directory_uri() . '/js/functions.js.php', 'jquery', '1.0', TRUE);
	    wp_register_script('spin', get_template_directory_uri() . '/js/spin.min.js', 'jquery', '1.0', TRUE);
		
	    wp_enqueue_script('jquery');
	    
	    if (!is_admin()) {
	    	wp_enqueue_script('easing');
	    	wp_enqueue_script('flexslider');
	    	wp_enqueue_script('hoverIntent');
	    	wp_enqueue_script('jqueryUI');
	    	wp_enqueue_script('fancybox');
	    	wp_enqueue_script('viewjs');
	    	wp_enqueue_script('fitvids');
	    	wp_enqueue_script('respond');
		    if (is_page_template('template-portfolio.php')) {
		    	wp_enqueue_script('imagesloaded');
		    	wp_enqueue_script('isotope');
		    	wp_enqueue_script('history');
		    	wp_enqueue_script('spin');
		    }
		    if ((is_page_template('template-blog.php')) || (is_page_template('template-gallery.php'))) {
		    	wp_enqueue_script('imagesloaded');
		    	wp_enqueue_script('isotope');
		    	wp_enqueue_script('spin');
		    }
		    if (is_page_template('template-contact.php')) {
		    	wp_enqueue_script('maps');
		    }
		    wp_enqueue_script('functions');
	    }
	    if (is_singular()) {
	    	wp_enqueue_script( "comment-reply" );
	    }
		
	}
	
	add_action('wp_enqueue_scripts', 'enqueue_scripts');
	
	function sf_admin_scripts() {
	    wp_register_script('admin-functions', get_template_directory_uri() . '/js/sf-admin.js', 'jquery', '1.0', TRUE);
		wp_enqueue_script('admin-functions');
	}
	add_action('admin_init', 'sf_admin_scripts');
	
	
	/* CUSTOM ADMIN MENU ITEMS
	================================================== */
	
	if(!function_exists('sf_admin_bar_menu')) {
				
		function sf_admin_bar_menu() {
		
			global $wp_admin_bar;
				
			$theme_options = array(
				'id' => '1',
				'title' => __('Theme Options'),
				'href' => admin_url('/themes.php?page=optionsframework'),
				'meta' => array('target' => 'blank')
			);
			
			$wp_admin_bar->add_menu($theme_options);
			
			$theme_customizer = array(
				'id' => '2',
				'title' => __('Color Customizer'),
				'href' => admin_url('/customize.php'),
				'meta' => array('target' => 'blank')
			);
			
			$wp_admin_bar->add_menu($theme_customizer);
			
		}
		
		add_action('admin_bar_menu', 'sf_admin_bar_menu', 99);
	}
	

	/* ADMIN CUSTOM POST TYPE ICONS
	================================================== */
	
	add_action( 'admin_head', 'cpt_icons' );
	function cpt_icons() {
	    ?>
	    <style type="text/css" media="screen">
	        #menu-posts-portfolio .wp-menu-image {
	            background: url(<?php echo get_template_directory_uri(); ?>/images/wp/portfolio.png) no-repeat 6px 7px!important;
	        	background-size: 17px 15px;
	        }
	        #menu-posts-portfolio:hover .wp-menu-image, #menu-posts-portfolio.wp-has-current-submenu .wp-menu-image {
	            background: url(<?php echo get_template_directory_uri(); ?>/images/wp/portfolio_rollover.png) no-repeat 6px 7px!important;
	        }
	        #menu-posts-showcase .wp-menu-image {
	            background: url(<?php echo get_template_directory_uri(); ?>/images/wp/showcase.png) no-repeat 6px 7px!important;
	        	background-size: 17px 15px;
	        }
	        #menu-posts-showcase:hover .wp-menu-image, #menu-posts-showcase.wp-has-current-submenu .wp-menu-image {
	            background: url(<?php echo get_template_directory_uri(); ?>/images/wp/showcase_rollover.png) no-repeat 6px 7px!important;
	        }
	        #menu-posts-team .wp-menu-image {
	            background: url(<?php echo get_template_directory_uri(); ?>/images/wp/team.png) no-repeat 6px 11px!important;
	        	background-size: 18px 9px;
	        }
	        #menu-posts-team:hover .wp-menu-image, #menu-posts-team.wp-has-current-submenu .wp-menu-image {
	            background: url(<?php echo get_template_directory_uri(); ?>/images/wp/team_rollover.png) no-repeat 6px 11px!important;
	        }
	        #menu-posts-clients .wp-menu-image {
	            background: url(<?php echo get_template_directory_uri(); ?>/images/wp/clients.png) no-repeat 7px 6px!important;
	        	background-size: 15px 16px;
	        }
	        #menu-posts-clients:hover .wp-menu-image, #menu-posts-clients.wp-has-current-submenu .wp-menu-image {
	            background: url(<?php echo get_template_directory_uri(); ?>/images/wp/clients_rollover.png) no-repeat 7px 6px!important;
	        }
	        #menu-posts-testimonials .wp-menu-image {
	            background: url(<?php echo get_template_directory_uri(); ?>/images/wp/testimonials.png) no-repeat 8px 7px!important;
	        	background-size: 15px 14px;
	        }
	        #menu-posts-testimonials:hover .wp-menu-image, #menu-posts-testimonials.wp-has-current-submenu .wp-menu-image {
	            background: url(<?php echo get_template_directory_uri(); ?>/images/wp/testimonials_rollover.png) no-repeat 8px 7px!important;
	        }
	        #menu-posts-jobs .wp-menu-image {
	            background: url(<?php echo get_template_directory_uri(); ?>/images/wp/jobs.png) no-repeat 7px 8px!important;
	        	background-size: 16px 14px;
	        }
	        #menu-posts-jobs:hover .wp-menu-image, #menu-posts-jobs.wp-has-current-submenu .wp-menu-image {
	            background: url(<?php echo get_template_directory_uri(); ?>/images/wp/jobs_rollover.png) no-repeat 7px 8px!important;
	        }
	        #menu-posts-faqs .wp-menu-image {
	            background: url(<?php echo get_template_directory_uri(); ?>/images/wp/faqs.png) no-repeat 7px 7px!important;
	        	background-size: 15px 16px;
	        }
	        #menu-posts-faqs:hover .wp-menu-image, #menu-posts-faqs.wp-has-current-submenu .wp-menu-image {
	            background: url(<?php echo get_template_directory_uri(); ?>/images/wp/faqs_rollover.png) no-repeat 7px 7px!important;
	        }
	        #wpbody-content {
	        	min-height: 815px;
	        }
	    </style>
	<?php }
	
	
	/* SHORTCODE PANEL SETUP
	================================================== */
	
	// Create TinyMCE's editor button & plugin for Swift Framework Shortcodes
	add_action('init', 'sf_sc_button'); 
	
	function sf_sc_button() {  
	   if ( current_user_can('edit_posts') &&  current_user_can('edit_pages') )  
	   {  
	     add_filter('mce_external_plugins', 'add_tinymce_plugin');  
	     add_filter('mce_buttons', 'register_button');  
	   }  
	} 
	
	function register_button($button) {  
	    array_push($button, 'separator', 'swiftframework_shortcodes' );  
	    return $button;  
	}
	
	function add_tinymce_plugin($plugins) {  
	    $plugins['swiftframework_shortcodes'] = get_template_directory_uri() . '/includes/sf_shortcodes/tinymce.editor.plugin.js';  
	    return $plugins;  
	} 
	
	
	/* WORDPRESS GALLERY MODS
	================================================== */
	
	add_filter( 'wp_get_attachment_link', 'sant_prettyadd');
	 
	function sant_prettyadd ($content) {
	    $content = preg_replace("/<a/","<a data-gal=\"prettyPhoto[pp_gal]\"",$content,1);
	    return $content;
	}
	
	add_filter( 'gallery_style', 'custom_gallery_styling', 99 );
	
	function custom_gallery_styling() {
	    return "<div class='gallery'>";
	}
	
	
	/* WORDPRESS TAG CLOUD MODS
	================================================== */
	
	add_filter( 'widget_tag_cloud_args', 'sf_tag_cloud_args' );
	
	function sf_tag_cloud_args( $args ) {
		$args['largest'] = 12;
		$args['smallest'] = 12;
		$args['unit'] = 'px';
		return $args;
	}
	
	
	/* EXCERPT
	================================================== */
	
	function new_excerpt_length($length) {
	    return 20;
	}
	add_filter('excerpt_length', 'new_excerpt_length');
	
	
	/* GET CUSTOM POST TYPE TAXONOMY LIST
	================================================== */

	function get_category_list( $category_name, $parent='' ){
		
		if ( empty($parent) ) { 
		
			$get_category = get_categories( array( 'taxonomy' => $category_name	));
			$category_list = array( '0' => 'All');
			
			foreach( $get_category as $category ){
				$category_list[] = $category->cat_name;
			}
				
			return $category_list;
			
		} else {
			
			$parent_id = get_term_by('name', $parent, $category_name);
			$get_category = get_categories( array( 'taxonomy' => $category_name, 'child_of' => $parent_id->term_id	));
			$category_list = array( '0' => $parent );
			
			foreach( $get_category as $category ){
				$category_list[] = $category->cat_name;
			}
				
			return $category_list;		
		
		}
	}
	
	
	/* VIDEO EMBED FUNCTIONS
	================================================== */
	
	function video_embed($url, $width = 640, $height = 480) {
		if (strpos($url,'youtube')){
			return video_youtube($url, $width, $height);
		} else {
			return video_vimeo($url, $width, $height);
		}
	}
	
	function video_youtube($url, $width = 640, $height = 480){
	
		preg_match('/[\\?\\&]v=([^\\?\\&]+)/', $url, $video_id);
		
		return '<iframe class="video-player" src="http://www.youtube.com/embed/'. $video_id[1] .'?wmode=transparent" width="'. $width .'" height="'. $height .'" ></iframe>';
				
	}
	
	function video_vimeo($url, $width = 640, $height = 480){
	
		preg_match('/http:\/\/vimeo.com\/(\d+)$/', $url, $video_id);		
		
		return '<iframe class="video-player" src="http://player.vimeo.com/video/'. $video_id[1] .'?title=0&byline=0&portrait=0?wmode=transparent" width="'. $width .'" height="'. $height .'" frameborder="0" webkitAllowFullScreen allowfullscreen></iframe>';
		
	}
	
	
	/* MAP EMBED FUNCTIONS
	================================================== */
	
	function map_embed($address){
	    if (!is_string($address))die("All Addresses must be passed as a string");
	    $_url = sprintf('http://maps.google.com/maps?output=js&q=%s',rawurlencode($address));
	    $_result = false;
	    $ch = curl_init();
	    curl_setopt ($ch, CURLOPT_URL, $_url);
	    curl_setopt ($ch, CURLOPT_RETURNTRANSFER, 1);
	    $contents = curl_exec($ch);
	    curl_close($ch);
	    
	    if($_result = $contents) {
	        if(strpos($_result,'errortips') > 1 || strpos($_result,'Did you mean:') !== false) return false;
	        preg_match('!center:\s*{lat:\s*(-?\d+\.\d+),lng:\s*(-?\d+\.\d+)}!U', $_result, $_match);
	        $_coords['lat'] = $_match[1];
	        $_coords['long'] = $_match[2];
	    }
	    return $_coords;
	}
	
		
	/* FEATURED IMAGE TITLE
	================================================== */
	
	function sf_featured_img_title() {
	  global $post;
	  $sf_thumbnail_id = get_post_thumbnail_id($post->ID);
	  $sf_thumbnail_image = get_posts(array('p' => $sf_thumbnail_id, 'post_type' => 'attachment', 'post_status' => 'any'));
	  if ($sf_thumbnail_image && isset($sf_thumbnail_image[0])) {
	    return $sf_thumbnail_image[0]->post_title;
	  }
	}
	
		
	/* PAGINATION
	================================================== */
	
	function pagination() {
		global $wp_query;
		
		$big = 999999999; // need an unlikely integer
		
		return paginate_links( array(
			'base' => str_replace( $big, '%#%', get_pagenum_link( $big ) ),
			'format' => '?paged=%#%',
			'current' => max( 1, get_query_var('paged') ),
			'total' => $wp_query->max_num_pages
		) );
	}
			
	
	/* CUSTOM MENU SETUP
	================================================== */
	
	add_action( 'after_setup_theme', 'setup_menus' );
	function setup_menus() {
		// This theme uses wp_nav_menu() in four locations.
		register_nav_menus( array(
		'Main_Navigation' => __( 'Main Menu', "swiftframework" )
		) );
	}
	add_filter('nav_menu_css_class', 'mbudm_add_page_type_to_menu', 10, 2 );
	//If a menu item is a page then add the template name to it as a css class 
	function mbudm_add_page_type_to_menu($classes, $item) {
	    if($item->object == 'page'){
	        $template_name = get_post_meta( $item->object_id, '_wp_page_template', true );
	        $new_class =str_replace(".php","",$template_name);
	        array_push($classes, $new_class);
	    }   
	    return $classes;
	}
	
	
	/* CUSTOM POST TYPES ARCHIVES
	================================================== */
	
	add_filter('pre_get_posts', 'query_post_type');
	function query_post_type($query) {
	  if(is_category() || is_tag()) {
	    $post_type = get_query_var('post_type');
	    if($post_type)
	        $post_type = $post_type;
	    else
	        $post_type = array('nav_menu_item','post','portfolio');
	    $query->set('post_type',$post_type);
	    return $query;
	    }
	}
		
	
	/* REGISTER SIDEBARS
	================================================== */
	
	if ( function_exists('register_sidebar')) {
			
	    register_sidebar(array(
	        'name'=>'Sidebar One',
	        'before_widget' => '<section id="%1$s" class="widget %2$s clearfix">',
	        'after_widget' => '</section>',
	        'before_title' => '<div class="widget-heading clearfix"><h3>',
	        'after_title' => '</h3></div>',
	    ));
	    register_sidebar(array(
	        'name'=>'Sidebar Two',
	        'before_widget' => '<section id="%1$s" class="widget %2$s clearfix">',
	        'after_widget' => '</section>',
	        'before_title' => '<div class="widget-heading clearfix"><h3>',
	        'after_title' => '</h3></div>',
	    ));
		register_sidebar(array(
			'name'=>'Sidebar Three',
			'before_widget' => '<section id="%1$s" class="widget %2$s clearfix">',
			'after_widget' => '</section>',
			'before_title' => '<div class="widget-heading clearfix"><h3>',
			'after_title' => '</h3></div>',
		));
		register_sidebar(array(
			'name'=>'Sidebar Four',
			'before_widget' => '<section id="%1$s" class="widget %2$s clearfix">',
			'after_widget' => '</section>',
			'before_title' => '<div class="widget-heading clearfix"><h3>',
			'after_title' => '</h3></div>',
		));
		register_sidebar(array(
		    'name'=>'Sidebar Five',
		    'before_widget' => '<section id="%1$s" class="widget %2$s clearfix">',
		    'after_widget' => '</section>',
		    'before_title' => '<div class="widget-heading clearfix"><h3>',
		    'after_title' => '</h3></div>',
		));
		register_sidebar(array(
		    'name'=>'Sidebar Six',
		    'before_widget' => '<section id="%1$s" class="widget %2$s clearfix">',
		    'after_widget' => '</section>',
		    'before_title' => '<div class="widget-heading clearfix"><h3>',
		    'after_title' => '</h3></div>',
		));
		register_sidebar(array(
			'name'=>'Sidebar Seven',
			'before_widget' => '<section id="%1$s" class="widget %2$s clearfix">',
			'after_widget' => '</section>',
			'before_title' => '<div class="widget-heading clearfix"><h3>',
			'after_title' => '</h3></div>',
		));
		register_sidebar(array(
			'name'=>'Sidebar Eight',
			'before_widget' => '<section id="%1$s" class="widget %2$s clearfix">',
			'after_widget' => '</section>',
			'before_title' => '<div class="widget-heading clearfix"><h3>',
			'after_title' => '</h3></div>',
		));
	} 
	
	
	/* ADD SHORTCODE FUNCTIONALITY TO WIDGETS
	================================================== */
	
	add_filter('widget_text', 'do_shortcode');
	
	
	/* NAVIGATION CHECK
	================================================== */
	
	//functions tell whether there are previous or next 'pages' from the current page
	//returns 0 if no 'page' exists, returns a number > 0 if 'page' does exist
	//ob_ functions are used to suppress the previous_posts_link() and next_posts_link() from printing their output to the screen
	
	function has_previous_posts() {
		ob_start();
		previous_posts_link();
		$result = strlen(ob_get_contents());
		ob_end_clean();
		return $result;
	}
	
	function has_next_posts() {
		ob_start();
		next_posts_link();
		$result = strlen(ob_get_contents());
		ob_end_clean();
		return $result;
	}
	
	
	/* REMOVE CERTAIN HEAD TAGS
	================================================== */
	
	add_action('init', 'remheadlink');
	function remheadlink() {
		remove_action('wp_head', 'index_rel_link');
		remove_action('wp_head', 'rsd_link');
		remove_action('wp_head', 'wlwmanifest_link');
	}
	
	
	/* CUSTOM LOGIN LOGO
	================================================== */
	
	function my_custom_login_logo() {
		global $data;
		$custom_logo = $data['sf_clique_custom_admin_login'];
		if ($custom_logo) {		
	    echo '<style type="text/css">
	        .login h1 a { background-image:url('. $custom_logo .') !important; height: 95px!important; background-size: auto; }
	    </style>';
	    } else {
	    echo '<style type="text/css">
	        .login h1 a { background-image:url('. get_template_directory_uri() .'/images/custom-login-logo.png) !important; height: 95px!important; background-size: auto; }
	    </style>';
	    }
	}
	
	add_action('login_head', 'my_custom_login_logo');
	
	
	/* COMMENTS
	================================================== */
	
	// Custom callback to list comments in the your-theme style
	function custom_comments($comment, $args, $depth) {
	  $GLOBALS['comment'] = $comment;
	    $GLOBALS['comment_depth'] = $depth;
	  ?>
	    <li id="comment-<?php comment_ID() ?>" <?php comment_class('clearfix') ?>>
	        <div class="comment-wrap clearfix">
	            <div class="comment-avatar control-item">
	            	<?php if(function_exists('get_avatar')) { echo get_avatar($comment, '50'); } ?>
	            	<?php if ($comment->comment_author_email == get_the_author_meta('email')) { ?>
	            	<span class="tooltip"><?php _e("Author", "swiftframework"); ?><span class="arrow"></span></span>
	            	<?php } ?>
	            </div>
	    		<div class="comment-content">
	            	<div class="comment-meta">
	            			<?php
	            				printf('<span class="comment-author">%1$s</span> <span class="comment-date">%2$s</span>',
	            					get_comment_author_link(),
	            					get_comment_date()
	            				);
	                        	edit_comment_link(__('Edit', 'swiftframework'), '<span class="edit-link">', '</span><span class="meta-sep"> |</span>');
	                        ?>
	                        <?php if($args['type'] == 'all' || get_comment_type() == 'comment') :
	                        	comment_reply_link(array_merge($args, array(
	                            	'reply_text' => __('Reply', 'swiftframework'),
	                            	'login_text' => __('Log in to reply.', 'swiftframework'),
	                            	'depth' => $depth,
	                            	'before' => '<span class="comment-reply">',
	                            	'after' => '</span>'
	                        	)));
	                        endif; ?>
	    			</div>
	      			<?php if ($comment->comment_approved == '0') _e("\t\t\t\t\t<span class='unapproved'>Your comment is awaiting moderation.</span>\n", "swiftframework") ?>
	            	<div class="comment-body">
	                	<?php comment_text() ?>
	            	</div>
	    		</div>
	        </div>
	<?php } // end custom_comments
	
	// Custom callback to list pings
	function custom_pings($comment, $args, $depth) {
	       $GLOBALS['comment'] = $comment;
	        ?>
	            <li id="comment-<?php comment_ID() ?>" <?php comment_class() ?>>
	                <div class="comment-author"><?php printf(__('By %1$s on %2$s at %3$s', 'swiftframework'),
	                        get_comment_author_link(),
	                        get_comment_date(),
	                        get_comment_time() );
	                        edit_comment_link(__('Edit', 'swiftframework'), ' <span class="meta-sep">|</span> <span class="edit-link">', '</span>'); ?></div>
	    <?php if ($comment->comment_approved == '0') _e('\t\t\t\t\t<span class="unapproved">Your trackback is awaiting moderation.</span>\n', 'swiftframework') ?>
	            <div class="comment-content">
	                <?php comment_text() ?>
	            </div>
	<?php } // end custom_pings

?>