<!DOCTYPE html>

<!-- OPEN html -->
<html <?php language_attributes(); ?>>

<!-- Clique - A Responsive AJAX WordPress Theme - Designed & Developed by Swift Ideas ( www.swiftpsd.com / www.swiftideas.net ) -->

	<!-- OPEN head -->
	<head>
		
		<?php
			global $data;
			$header_layout = $data['sf_clique_header_layout'];
			$portfolio_filtering = get_post_meta($post->ID, 'sf_portfolio_filtering', true);
		?>
		
		<!-- Site Meta -->
		<meta charset="<?php bloginfo( 'charset' ); ?>" />
		
		<!-- Site Title -->
		<title>
			<?php
			global $page, $paged;
			// Add the blog name.
			bloginfo( 'name' );
			wp_title( '|', true, 'left' );
			// Add the blog description for the home/front page.
			$site_description = get_bloginfo( 'description', 'display' );
			if ( $site_description && ( is_home() || is_front_page() ) )
				echo " | $site_description";
			// Add a page number if necessary:
			if ( $paged >= 2 || $page >= 2 )
				echo ' | ' . sprintf( __( 'Page %s', 'swiftframework' ), max( $paged, $page ) );
			?>
		</title>
		
		<meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1, maximum-scale=1">
		
		<!-- Pingback & Favicon -->
		<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
		<?php $favicon = $data['sf_clique_custom_favicon'];?>
		<?php if ($favicon) { ?>
		<link rel="shortcut icon" href="<?php echo $favicon; ?>" />
		<?php } ?>

	    <!-- Legacy HTML5 Support -->
	    <!--[if lt IE 9]>
		<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
		<![endif]-->
		
		<!-- WordPress Hook -->
		<?php wp_head(); ?>
	
	<!-- CLOSE head -->
	</head>
		
	<!-- OPEN body -->
	<body <?php body_class(); ?>>

		<!-- OPEN Social Scripts -->
		<div id="fb-root"></div>
		<script>(function(d, s, id) {
		  var js, fjs = d.getElementsByTagName(s)[0];
		  if (d.getElementById(id)) return;
		  js = d.createElement(s); js.id = id;
		  js.src = "//connect.facebook.net/en_GB/all.js#xfbml=1&appId=102602873192256";
		  fjs.parentNode.insertBefore(js, fjs);
		}(document, 'script', 'facebook-jssdk'));
		</script>
		<script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0];if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src="//platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");</script>
		<!-- CLOSE Social Scripts -->
	
		<noscript>
			<div class="no-js-alert">
				<?php _e("Please enable JavaScript to view this website.", "swiftframework"); ?>
			</div>
		</noscript>
		
		<div id="container">
	
			<div id="header-section" class="clearfix <?php echo $header_layout; ?>">
					
				<div class="container">
				
					<header class="sixteen columns">
					
						<?php if ($header_layout == "logo-right") { ?>
						
						<div id="logo" class="four columns omega">
							<a href="<?php echo home_url(); ?>">
								<?php $logo = $data['sf_clique_logo_upload'];?>
								<?php if ($logo) { ?>
								<img src="<?php echo $logo; ?>" alt="<?php bloginfo( 'name' ); ?>" />
								<?php } else { ?>
								<img src="<?php echo get_template_directory_uri(); ?>/images/logo.png" alt="<?php bloginfo( 'name' ); ?>" />
								<?php } ?>
							</a>
							<h1><?php bloginfo('name'); ?></h1>
						</div>
						
						<div class="nav-wrap twelve columns alpha">
							
							<!-- OPEN #main-navigation -->
							<nav id="main-navigation" class="clearfix">
		
								<?php
								if(function_exists('wp_nav_menu')) {
								wp_nav_menu(array(
								'theme_location' => 'Main_Navigation',
								'fallback_cb' => ''
								)); }
								?>
		
							<!-- CLOSE #main-navigation -->
							</nav>

							<!-- OPEN #mobile-navigation -->
							<nav id="mobile-navigation" class="clearfix">
							
								<span class="selected-option"><?php _e("- Menu -", "swiftframework"); ?></span>
								<?php
									dropdown_menu( array(
			
										'theme_location' => 'Main_Navigation',
			
									    // You can alter the blanking text eg. "- Navigate -" using the following
									    'dropdown_title' => '-- Menu --',
			
									    // indent_string is a string that gets output before the title of a
									    // sub-menu item. It is repeated twice for sub-sub-menu items and so on
									    'indent_string' => '- ',
			
									    // indent_after is an optional string to output after the indent_string
									    // if the item is a sub-menu item
									    'indent_after' => ''
			
									) );
								?>
								
							<!-- CLOSE #mobile-navigation -->
							</nav>
							
							<?php if ($portfolio_filtering) { ?>
							<!-- PORTFOLIO FILTER -->
							<div class="portfolio-filter-wrap clearfix">
								<?php echo sf_portfolio_filter(); ?>
							</div>
							<?php } ?>
						
						<?php } else { ?>
						
						<div id="logo" class="four columns alpha">
							<a href="<?php echo home_url(); ?>">
								<?php $logo = $data['sf_clique_logo_upload'];?>
								<?php if ($logo) { ?>
								<img src="<?php echo $logo; ?>" alt="<?php bloginfo( 'name' ); ?>" />
								<?php } else { ?>
								<img src="<?php echo get_template_directory_uri(); ?>/images/logo.png" alt="<?php bloginfo( 'name' ); ?>" />
								<?php } ?>
							</a>
							<h1><?php bloginfo('name'); ?></h1>
						</div>
						
						<div class="nav-wrap twelve columns omega">
											
							<!-- OPEN #main-navigation -->
							<nav id="main-navigation" class="clearfix">
		
								<?php
								if(function_exists('wp_nav_menu')) {
								wp_nav_menu(array(
								'theme_location' => 'Main_Navigation',
								'fallback_cb' => ''
								)); }
								?>
		
							<!-- CLOSE #main-navigation -->
							</nav>
							
							<!-- OPEN #mobile-navigation -->
							<nav id="mobile-navigation" class="clearfix">
							
								<span class="selected-option"><?php _e("- Menu -", "swiftframework"); ?></span>
								<?php
									dropdown_menu( array(
			
										'theme_location' => 'Main_Navigation',
			
									    // You can alter the blanking text eg. "- Navigate -" using the following
									    'dropdown_title' => '-- Menu --',
			
									    // indent_string is a string that gets output before the title of a
									    // sub-menu item. It is repeated twice for sub-sub-menu items and so on
									    'indent_string' => '- ',
			
									    // indent_after is an optional string to output after the indent_string
									    // if the item is a sub-menu item
									    'indent_after' => ''
			
									) );
								?>
								
							<!-- CLOSE #mobile-navigation -->
							</nav>
							
							<?php if ($portfolio_filtering) { ?>
							<!-- PORTFOLIO FILTER -->
							<div class="portfolio-filter-wrap clearfix">
								<?php echo sf_portfolio_filter(); ?>
							</div>
							<?php } ?>
		
						</div>			
						
						<?php } ?>
										
					</header>
				
				</div>
				
			</div>
				
			<!-- OPEN #main-container -->
			<div id="main-container" class="clearfix">