<?php

	/*
	*
	*	Meta Box Functions
	*	------------------------------------------------
	*	Swift Framework v1.0
	* 	Copyright Swift Ideas 2012 - http://www.swiftpsd.com
	*
	*/
	
	$prefix = 'sf_';
	
	global $meta_boxes;
	
	$meta_boxes = array();
	
	
	/* ==================================================
	
	Portfolio Meta Box

	================================================== */

	$meta_boxes[] = array(
		// Meta box id, UNIQUE per meta box. Optional since 4.1.5
		'id' => 'portfolio_meta_box',
	
		// Meta box title - Will appear at the drag and drop handle bar. Required.
		'title' => 'Portfolio Meta',
	
		// Post types, accept custom post types as well - DEFAULT is array('post'). Optional.
		'pages' => array( 'portfolio' ),
	
		// Where the meta box appear: normal (default), advanced, side. Optional.
		'context' => 'normal',
	
		// Order of meta box: high (default), low. Optional.
		'priority' => 'high',
	
		// List of meta fields
		'fields' => array(
		
			// ITEM DETAILS OPTIONS SECTION
			array (
				'name' 	=> '',
				'title' => 'Portfolio Item Details',
			    'id' 	=> "{$prefix}heading_item_details",
			    'type' 	=> 'section'
			),
			
			// Client
			array(
				'name' => 'Title sub text',
				'id' => $prefix . 'portfolio_sub_text',
				'desc' => "You can enter text here to go underneath the title on the index and detail page.",
				'clone' => false,
				'type'  => 'text',
				'std' => '',
			),
			
			// External Link
			array(
				'name' => 'External Link',
				'id' => $prefix . 'portfolio_external_link',
				'desc' => "Enter an external link for the item  (optional) (NOTE: INCLUDE HTTP://).",
				'clone' => false,
				'type'  => 'text',
				'std' => '',
			),
			
			// THUMBNAIL TYPE SECTION
			array (
				'name' 	=> '',
				'title' => 'Thumbnail Options',
			    'id' 	=> "{$prefix}heading_thumb",
			    'type' 	=> 'section'
			),
			
			// THUMBNAIL TYPE
			array(
				'name' => 'Portfolio thumbnail type',
				'id'   => "{$prefix}thumbnail_type",
				'type' => 'select',
				'options' => array(
					'image'		=> 'Image',
					'slider'	=> 'Slider'
				),
				'multiple' => false,
				'std'  => 'image',
				'desc' => 'Choose what will be used for the portfolio item thumbnail.',
			),
			
			// THUMBNAIL IMAGE
			array(
				'name'	=> 'Portfolio thumbnail image',
				'desc'  => 'The image that will be used as the portfolio thumbnail image.',
				'id'    => "{$prefix}thumbnail_image",
				'type'  => 'thickbox_image'
			),
			
			// THUMBNAIL GALLERY
			array(
				'name'             => 'Portfolio thumbnail gallery',
				'desc'             => 'The images that will be used in the portfolio thumbnail gallery.',
				'id'               => "{$prefix}thumbnail_gallery",
				'type'             => 'plupload_image',
				'max_file_uploads' => 10,
			),
			
			// THUMBNAIL LINK SECTION
			array (
				'name' 	=> '',
				'title' => 'Thumbnail Link Options',
			    'id' 	=> "{$prefix}heading_thumb_link",
			    'type' 	=> 'section'
			),
			
			// THUMBNAIL LINK TYPE
			array(
				'name' => 'Portfolio thumbnail link type',
				'id'   => "{$prefix}thumbnail_link_type",
				'type' => 'select',
				'options' => array(
					'link_to_post'		=> 'Link to item',
					'link_to_url'		=> 'Link to URL',
					'lightbox_thumb'	=> 'Lightbox to the thumbnail image',
					'lightbox_image'	=> 'Lightbox to image (select below)',
					'lightbox_video'	=> 'Lightbox to video (input below)'
				),
				'multiple' => false,
				'std'  => 'link-to-post',
				'desc' => 'Choose what link will be used for the thumbnail of the portfolio item.',
			),
			
			// THUMBNAIL LINK URL
			array(
				'name' => 'Portfolio thumbnail link URL',
				'id' => $prefix . 'thumbnail_link_url',
				'desc' => 'Enter the url for the portfolio thumbnail link.',
				'clone' => false,
				'type'  => 'text',
				'std' => '',
			),
			
			// THUMBNAIL LINK LIGHTBOX IMAGE
			array(
				'name'	=> 'Portfolio thumbnail link lightbox image',
				'desc'  => 'The image that will be used as the portfolio thumbnail image.',
				'id'    => "{$prefix}thumbnail_link_image",
				'type'  => 'thickbox_image'
			),
			
			// THUMBNAIL LINK LIGHTBOX VIDEO
			array(
				'name' => 'Portfolio thumbnail link lightbox video URL',
				'id' => $prefix . 'thumbnail_link_video_url',
				'desc' => 'Enter the video url for the portfolio thumbnail. Only links from Vimeo & YouTube are supported.',
				'clone' => false,
				'type'  => 'text',
				'std' => '',
			),
						
			// MAIN DETAIL SECTION
			array (
				'name' 	=> '',
				'title' => 'Main Detail Options',
			    'id' 	=> "{$prefix}heading_detail",
			    'type' 	=> 'section'
			),
			
			// FULL WIDTH
			array(
				'name' => 'Full width',    // File type: checkbox
				'id'   => "{$prefix}display_full_width",
				'type' => 'checkbox',
				'desc' => 'Uncheck this box if you do not want the detail type media to be full width.',
				'std' => 0,
			),
			
			// USE THUMBNAIL CONTENT FOR THE MAIN DETAIL DISPLAY
			array(
				'name' => 'Use the thumbnail content',    // File type: checkbox
				'id'   => "{$prefix}thumbnail_content_main_detail",
				'type' => 'checkbox',
				'desc' => 'Uncheck this box if you wish to select different media for the main detail display.',
				'std' => 0,
			),
			
			// DETAIL TYPE
			array(
				'name' => 'Portfolio detail type',
				'id'   => "{$prefix}detail_type",
				'type' => 'select',
				'options' => array(
					'image'		=> 'Image',
					'video'		=> 'Video',
					'slider'	=> 'Slider',
					'gallery'	=> 'Gallery',
					'video-gallery' => 'Video & Gallery'
				),
				'multiple' => false,
				'std'  => 'image',
				'desc' => 'Choose what will be used for the portfolio item detail.',
			),
			
			// DETAIL IMAGE
			array(
				'name'	=> 'Portfolio detail image',
				'desc'  => 'The image that will be used as the portfolio detail image.',
				'id'    => "{$prefix}detail_image",
				'type'  => 'thickbox_image'
			),
			
			// DETAIL VIDEO
			array(
				'name' => 'Portfolio detail video URL',
				'id' => $prefix . 'detail_video_url',
				'desc' => 'Enter the video url for the portfolio thumbnail. Only links from Vimeo & YouTube are supported.',
				'clone' => false,
				'type'  => 'text',
				'std' => '',
			),
			
			// DETAIL GALLERY
			array(
				'name'             => 'Portfolio detail gallery',
				'desc'             => 'The images that will be used in the portfolio detail gallery.',
				'id'               => "{$prefix}detail_gallery",
				'type'             => 'plupload_image',
				'max_file_uploads' => 10,
			),
					
			// INCLUDE SOCIAL SHARING
			array(
				'name' => 'Include social sharing',
				'id'   => "{$prefix}social_sharing",
				'type' => 'checkbox',
				'desc' => 'Check this box to show social sharing icons on the detail page.',
				'std' => 1,
			)
		)
	);
	
	/* ==================================================
		
	Post Meta Box
	
	================================================== */
	
	$meta_boxes[] = array(
		// Meta box id, UNIQUE per meta box. Optional since 4.1.5
		'id' => 'post_meta_box',
	
		// Meta box title - Will appear at the drag and drop handle bar. Required.
		'title' => 'Post Meta',
	
		// Post types, accept custom post types as well - DEFAULT is array('post'). Optional.
		'pages' => array( 'post' ),
	
		// Where the meta box appear: normal (default), advanced, side. Optional.
		'context' => 'normal',
	
		// Order of meta box: high (default), low. Optional.
		'priority' => 'high',
	
		// List of meta fields
		'fields' => array(
		
			// SIDEBAR OPTIONS SECTION
			array (
				'name' 	=> '',
				'title' => 'Sidebar Options',
			    'id' 	=> "{$prefix}heading_sidebar",
			    'type' 	=> 'section'
			),
			
			// SIDEBAR CONFIG
			array(
				'name' => 'Sidebar configuration',
				'id'   => "{$prefix}sidebar_config",
				'type' => 'select',
				// Array of 'key' => 'value' pairs for select box
				'options' => array(
					'no-sidebars'		=> 'No Sidebars',
					'left-sidebar'		=> 'Left Sidebar',
					'right-sidebar'		=> 'Right Sidebar',
					'both-sidebars'		=> 'Both Sidebars'
				),
				// Select multiple values, optional. Default is false.
				'multiple' => false,
				// Default value, can be string (single value) or array (for both single and multiple values)
				'std'  => 'no-sidebars',
				'desc' => 'Choose the sidebar configuration for the detail page of this portfolio item.',
			),
			
			// LEFT SIDEBAR
			array (
				'name' 	=> 'Left Sidebar',
	            'id' 	=> "{$prefix}left_sidebar",
	            'type' 	=> 'sidebars'
			),
			
			// RIGHT SIDEBAR
			array (
				'name' 	=> 'Right Sidebar',
			    'id' 	=> "{$prefix}right_sidebar",
			    'type' 	=> 'sidebars'
			),
			
			// THUMBNAIL TYPE SECTION
			array (
				'name' 	=> '',
				'title' => 'Thumbnail Options',
			    'id' 	=> "{$prefix}heading_thumb",
			    'type' 	=> 'section'
			),
			
			// THUMBNAIL TYPE
			array(
				'name' => 'Post thumbnail type',
				'id'   => "{$prefix}thumbnail_type",
				'type' => 'select',
				'options' => array(
					'none'		=> 'None',
					'image'		=> 'Image',
					'video'		=> 'Video',
					'slider'	=> 'Slider'
				),
				'multiple' => false,
				'std'  => 'none',
				'desc' => 'Choose what will be used for the post item thumbnail.',
			),
			
			// THUMBNAIL IMAGE
			array(
				'name'	=> 'Post thumbnail image',
				'desc'  => 'The image that will be used as the post thumbnail image.',
				'id'    => "{$prefix}thumbnail_image",
				'type'  => 'thickbox_image'
			),
			
			// THUMBNAIL VIDEO
			array(
				'name' => 'Post thumbnail video URL',
				'id' => $prefix . 'thumbnail_video_url',
				'desc' => 'Enter the video url for the post thumbnail. Only links from Vimeo & YouTube are supported.',
				'clone' => false,
				'type'  => 'text',
				'std' => '',
			),
			
			// THUMBNAIL GALLERY
			array(
				'name'             => 'Post thumbnail gallery',
				'desc'             => 'The images that will be used in the post thumbnail gallery.',
				'id'               => "{$prefix}thumbnail_gallery",
				'type'             => 'plupload_image',
				'max_file_uploads' => 10,
			),
			
			// THUMBNAIL LINK SECTION
			array (
				'name' 	=> '',
				'title' => 'Thumbnail Link Options',
			    'id' 	=> "{$prefix}heading_thumb_link",
			    'type' 	=> 'section'
			),
			
			// THUMBNAIL LINK TYPE
			array(
				'name' => 'Portfolio thumbnail link type',
				'id'   => "{$prefix}thumbnail_link_type",
				'type' => 'select',
				'options' => array(
					'link_to_post'		=> 'Link to item',
					'link_to_url'		=> 'Link to URL',
					'lightbox_thumb'	=> 'Lightbox to the thumbnail image',
					'lightbox_image'	=> 'Lightbox to image (select below)',
					'lightbox_video'	=> 'Lightbox to video (input below)'
				),
				'multiple' => false,
				'std'  => 'link-to-post',
				'desc' => 'Choose what link will be used for the image of the blog post in the index.',
			),
			
			// THUMBNAIL LINK URL
			array(
				'name' => 'Portfolio thumbnail link URL',
				'id' => $prefix . 'thumbnail_link_url',
				'desc' => 'Enter the url for the portfolio thumbnail link.',
				'clone' => false,
				'type'  => 'text',
				'std' => '',
			),
			
			// THUMBNAIL LINK LIGHTBOX IMAGE
			array(
				'name'	=> 'Portfolio thumbnail link lightbox image',
				'desc'  => 'The image that will be used as the portfolio thumbnail image.',
				'id'    => "{$prefix}thumbnail_link_image",
				'type'  => 'thickbox_image'
			),
			
			// THUMBNAIL LINK LIGHTBOX VIDEO
			array(
				'name' => 'Portfolio thumbnail link lightbox video URL',
				'id' => $prefix . 'thumbnail_link_video_url',
				'desc' => 'Enter the video url for the portfolio thumbnail. Only links from Vimeo & YouTube are supported.',
				'clone' => false,
				'type'  => 'text',
				'std' => '',
			),
			
			// CUSTOM EXCERPT SECTION
			array (
				'name' 	=> '',
				'title' => 'Custom Excerpt',
			    'id' 	=> "{$prefix}heading_custom_excerpt",
			    'type' 	=> 'section'
			),
			
			// CUSTOM EXCERPT
			array(
				'name' => 'Custom excerpt',
				'desc' => "You can optionally write a custom excerpt here to display instead of the excerpt that is automatically generated.",
				'id'   => "{$prefix}custom_excerpt",
				'type' => 'textarea',
				'std'  => "",
				'cols' => '40',
				'rows' => '8',
			),
			
			// MAIN DETAIL SECTION
			array (
				'name' 	=> '',
				'title' => 'Main Detail Options',
			    'id' 	=> "{$prefix}heading_detail",
			    'type' 	=> 'section'
			),
			
			// USE THUMBNAIL CONTENT FOR THE MAIN DETAIL DISPLAY
			array(
				'name' => 'Use the thumbnail content',    // File type: checkbox
				'id'   => "{$prefix}thumbnail_content_main_detail",
				'type' => 'checkbox',
				'desc' => 'Uncheck this box if you wish to select different media for the main detail display.',
				'std' => 0,
			),
			
			// DETAIL TYPE
			array(
				'name' => 'Post detail type',
				'id'   => "{$prefix}detail_type",
				'type' => 'select',
				'options' => array(
					'none'		=> 'None',
					'image'		=> 'Image',
					'video'		=> 'Video',
					'slider'	=> 'Slider'
				),
				'multiple' => false,
				'std'  => 'image',
				'desc' => 'Choose what will be used for the post item detail.',
			),
			
			// DETAIL IMAGE
			array(
				'name'	=> 'Post detail image',
				'desc'  => 'The image that will be used as the post detail image.',
				'id'    => "{$prefix}detail_image",
				'type'  => 'thickbox_image'
			),
			
			// DETAIL VIDEO
			array(
				'name' => 'Post detail video URL',
				'id' => $prefix . 'detail_video_url',
				'desc' => 'Enter the video url for the post thumbnail. Only links from Vimeo & YouTube are supported.',
				'clone' => false,
				'type'  => 'text',
				'std' => '',
			),
			
			// DETAIL GALLERY
			array(
				'name'             => 'Post detail slider',
				'desc'             => 'The images that will be used in the post detail slider.',
				'id'               => "{$prefix}detail_gallery",
				'type'             => 'plupload_image',
				'max_file_uploads' => 10,
			),
			
			// INCLUDE AUTHOR INFO
			array(
				'name' => 'Include author info',
				'id'   => "{$prefix}author_info",
				'type' => 'checkbox',
				'desc' => 'Check this box to show the author info box on the detail page.',
				'std' => 1,
			),
			
			// INCLUDE SOCIAL SHARING
			array(
				'name' => 'Include social sharing',
				'id'   => "{$prefix}social_sharing",
				'type' => 'checkbox',
				'desc' => 'Check this box to show social sharing icons on the detail page.',
				'std' => 1,
			),
			
			// INCLUDE RELATED ARTICLES
			array(
				'name' => 'Include related articles',
				'id'   => "{$prefix}related_articles",
				'type' => 'checkbox',
				'desc' => 'Check this box to show social related articles on the detail page.',
				'std' => 1,
			)
			
		)
	);
	
	
	/* ==================================================
		
	Team Meta Box
	
	================================================== */
	
	$meta_boxes[] = array(
		'id'    => 'team_meta_box',
		'title' => 'Team Member Meta',
		'pages' => array( 'team' ),
		'fields' => array(
		
			// TEAM MEMBER DETAILS SECTION
			array (
				'name' 	=> '',
				'title' => 'Team Member Details',
			    'id' 	=> "{$prefix}heading_team_member_details",
			    'type' 	=> 'section'
			),
			
			// TEAM MEMBER IMAGE
			array(
				'name'	=> 'Picture',
				'desc'  => 'The image that will be used for the team member.',
				'id'    => "{$prefix}team_member_image",
				'type'  => 'thickbox_image'
			),
			
			// TEAM MEMBER POSITION
			array(
				'name' => 'Position',
				'id' => $prefix . 'team_member_position',
				'desc' => "Enter the team member's position within the team.",
				'clone' => false,
				'type'  => 'text',
				'std' => '',
			),
			
			// TEAM MEMBER BIO
			array(
				'name' => 'Biography',
				'desc' => "Enter the team member's biography here.",
				'id'   => "{$prefix}team_member_bio",
				'type' => 'textarea',
				'std'  => "",
				'cols' => '40',
				'rows' => '8',
			)
			
		)
	);
	
	
	/* ==================================================
		
	Clients Meta Box
	
	================================================== */
	
	$meta_boxes[] = array(
		'id'    => 'client_meta_box',
		'title' => 'Client Meta',
		'pages' => array( 'clients' ),
		'fields' => array(
			
			// CLIENT IMAGE
			array(
				'name'	=> 'Client image',
				'desc'  => 'The image that will be used for the client.',
				'id'    => "{$prefix}client_image",
				'type'  => 'thickbox_image'
			),
			
			// CLIENT IMAGE LINK
			array(
				'name' => 'Client Link',
				'id' => $prefix . 'client_link',
				'desc' => "Enter the link for the client if you want the image to be clickable.",
				'clone' => false,
				'type'  => 'text',
				'std' => ''
			)
		)	
	);
	
	
	/* ==================================================
		
	Portfolio Page Meta Box
	
	================================================== */
	
	$meta_boxes[] = array(
		'id'    => 'portfolio_page_meta_box',
		'title' => 'Portfolio Page Meta',
		'pages' => array( 'page' ),
		'fields' => array(
		
			// PAGE OPTIONS SECTION
			array (
				'name' 	=> '',
				'title' => 'Portfolio Page Template Options',
			    'id' 	=> "{$prefix}heading_page",
			    'type' 	=> 'section'
			),

			// PORTFOLIO CATEGORY
			array(
				'name' => 'Portfolio Category',
				'id'   => "{$prefix}portfolio_category",
				'type' => 'select',
				'options' => get_category_list('portfolio-category'),
				'multiple' => false,
				'std'  => 'all',
				'desc' => 'If you would like, you can choose a specific category to only show portfolio items from.',
			),
			
			// NUMBER OF ITEMS
			array(
				'name' => 'Number of items',
				'id'   => "{$prefix}item_count",
				'desc' => 'The number of items that show per page',
				'clone' => false,
				'type'  => 'text',
				'std' => '12',
			),
						
			// SHOW PORTFOLIO FILTERING
			array(
				'name' => 'Show portfolio filtering',
				'id'   => "{$prefix}portfolio_filtering",
				'type' => 'checkbox',
				'desc' => 'Show the portfolio filter.',
				'std' => 1,
			)
		)
	);
	
	
	/* ==================================================
		
	Blog Page Meta Box
	
	================================================== */
	
	$meta_boxes[] = array(
		'id'    => 'blog_page_meta_box',
		'title' => 'Blog Page Meta',
		'pages' => array( 'page' ),
		'fields' => array(
		
			// PAGE OPTIONS SECTION
			array (
				'name' 	=> '',
				'title' => 'Blog Page Template Options',
			    'id' 	=> "{$prefix}heading_page",
			    'type' 	=> 'section'
			),
			
			// BLOG CATEGORY
			array(
				'name' => 'Blog Category',
				'id'   => "{$prefix}blog_category",
				'type' => 'select',
				'options' => get_category_list('category'),
				'multiple' => false,
				'std'  => 'all',
				'desc' => 'If you would like, you can choose a specific category to only show blog items from.',
			),
			
			// NUMBER OF ITEMS
			array(
				'name' => 'Number of items',
				'id'   => "{$prefix}item_count",
				'desc' => 'The number of items that show per page',
				'clone' => false,
				'type'  => 'text',
				'std' => '6',
			),
			
			// SIDEBAR OPTIONS SECTION
			array (
				'name' 	=> '',
				'title' => 'Sidebar Options',
			    'id' 	=> "{$prefix}heading_sidebar",
			    'type' 	=> 'section'
			),
			
			// SIDEBAR CONFIG
			array(
				'name' => 'Sidebar configuration',
				'id'   => "{$prefix}sidebar_config",
				'type' => 'select',
				// Array of 'key' => 'value' pairs for select box
				'options' => array(
					'no-sidebars'		=> 'No Sidebars',
					'left-sidebar'		=> 'Left Sidebar',
					'right-sidebar'		=> 'Right Sidebar',
					'both-sidebars'		=> 'Both Sidebars'
				),
				// Select multiple values, optional. Default is false.
				'multiple' => false,
				// Default value, can be string (single value) or array (for both single and multiple values)
				'std'  => 'no-sidebars',
				'desc' => 'Choose the sidebar configuration for the detail page of this portfolio item.',
			),
			
			// LEFT SIDEBAR
			array (
				'name' 	=> 'Left Sidebar',
			    'id' 	=> "{$prefix}left_sidebar",
			    'type' 	=> 'sidebars'
			),
			
			// RIGHT SIDEBAR
			array (
				'name' 	=> 'Right Sidebar',
			    'id' 	=> "{$prefix}right_sidebar",
			    'type' 	=> 'sidebars'
			)
		)
	);
	
	
	/* ==================================================
		
	Contact Page Meta Box
	
	================================================== */
	
	$meta_boxes[] = array(
		'id'    => 'contact_page_meta_box',
		'title' => 'Contact Page Meta',
		'pages' => array( 'page' ),
		'fields' => array(
		
			// PAGE OPTIONS SECTION
			array (
				'name' 	=> '',
				'title' => 'Page Options',
			    'id' 	=> "{$prefix}heading_page",
			    'type' 	=> 'section'
			),
			
			// CONTACT FORM 7 SHORTCODE
			array(
				'name' => 'Contact Form 7 Shortcode',
				'id' => $prefix . 'contact_form_shortcode',
				'desc' => 'Enter the contact form 7 shortcode here to display the contact form',
				'clone' => false,
				'type'  => 'text',
				'std' => '',
			),	
			
			// CONTACT FORM MAP
			array(
				'name' => 'Map Address',
				'id' => $prefix . 'google_map_url',
				'desc' => 'Enter the address for the location on a Google Map if you wish to display it next to the contact form. E.g. "Cupertino"',
				'clone' => false,
				'type'  => 'text',
				'std' => '',
			)		
		)
	);
	
	/* ==================================================
		
	Clients Page Meta Box
	
	================================================== */
	
	$meta_boxes[] = array(
		'id'    => 'clients_page_meta_box',
		'title' => 'Clients Page Meta',
		'pages' => array( 'page' ),
		'fields' => array(
		
			// PAGE OPTIONS SECTION
			array (
				'name' 	=> '',
				'title' => 'Clients Page Template Options',
			    'id' 	=> "{$prefix}heading_page",
			    'type' 	=> 'section'
			),
			
			// SUB HEADING TEXT
			array(
				'name' => 'Sub-heading Text',
				'id' => $prefix . 'sub_text',
				'desc' => 'Enter sub heading text (optional)',
				'clone' => false,
				'type'  => 'text',
				'std' => '',
			),
			
			// CLIENTS CATEGORY
			array(
				'name' => 'Clients Category',
				'id'   => "{$prefix}clients_category",
				'type' => 'select',
				'options' => get_category_list('clients-category'),
				'multiple' => false,
				'std'  => 'all',
				'desc' => 'If you would like, you can choose a specific category to only show clients from.',
			)
		)
	);
	
	
	/* ==================================================
		
	Team Page Meta Box
	
	================================================== */
	
	$meta_boxes[] = array(
		'id'    => 'team_page_meta_box',
		'title' => 'Team Page Meta',
		'pages' => array( 'page' ),
		'fields' => array(
		
			// PAGE OPTIONS SECTION
			array (
				'name' 	=> '',
				'title' => 'Team Page Template Options',
			    'id' 	=> "{$prefix}heading_page",
			    'type' 	=> 'section'
			),
			
			// SUB HEADING TEXT
			array(
				'name' => 'Sub-heading Text',
				'id' => $prefix . 'sub_text',
				'desc' => 'Enter sub heading text (optional)',
				'clone' => false,
				'type'  => 'text',
				'std' => '',
			),
			
			// TEAM CATEGORY
			array(
				'name' => 'Team Members Category',
				'id'   => "{$prefix}team_category",
				'type' => 'select',
				'options' => get_category_list('team-category'),
				'multiple' => false,
				'std'  => 'all',
				'desc' => 'If you would like, you can choose a specific category to only show team members from.',
			)
		)
	);
	
	
	
	/* ==================================================
		
	Page Meta Box
	
	================================================== */
	
	$meta_boxes[] = array(
		'id'    => 'page_meta_box',
		'title' => 'Page Meta',
		'pages' => array( 'page' ),
		'fields' => array(
		
			// PAGE OPTIONS SECTION
			array (
				'name' 	=> '',
				'title' => 'Page Options',
			    'id' 	=> "{$prefix}heading_page",
			    'type' 	=> 'section'
			),
			
			// SUB HEADING TEXT
			array(
				'name' => 'Sub-heading Text',
				'id' => $prefix . 'sub_text',
				'desc' => 'Enter sub heading text (optional)',
				'clone' => false,
				'type'  => 'text',
				'std' => '',
			),
						
			// SIDEBAR OPTIONS SECTION
			array (
				'name' 	=> '',
				'title' => 'Sidebar Options',
			    'id' 	=> "{$prefix}heading_sidebar",
			    'type' 	=> 'section'
			),
			
			// SIDEBAR CONFIG
			array(
				'name' => 'Sidebar configuration',
				'id'   => "{$prefix}sidebar_config",
				'type' => 'select',
				// Array of 'key' => 'value' pairs for select box
				'options' => array(
					'no-sidebars'		=> 'No Sidebars',
					'left-sidebar'		=> 'Left Sidebar',
					'right-sidebar'		=> 'Right Sidebar',
					'both-sidebars'		=> 'Both Sidebars'
				),
				// Select multiple values, optional. Default is false.
				'multiple' => false,
				// Default value, can be string (single value) or array (for both single and multiple values)
				'std'  => 'no-sidebars',
				'desc' => 'Choose the sidebar configuration for the detail page of this portfolio item.',
			),
			
			// LEFT SIDEBAR
			array (
				'name' 	=> 'Left Sidebar',
			    'id' 	=> "{$prefix}left_sidebar",
			    'type' 	=> 'sidebars'
			),
			
			// RIGHT SIDEBAR
			array (
				'name' 	=> 'Right Sidebar',
			    'id' 	=> "{$prefix}right_sidebar",
			    'type' 	=> 'sidebars'
			)
		)
	);

	
	/* ==================================================
	
	Gallery Page Meta Box

	================================================== */

	$meta_boxes[] = array(
		// Meta box id, UNIQUE per meta box. Optional since 4.1.5
		'id' => 'gallery_meta_box',
	
		// Meta box title - Will appear at the drag and drop handle bar. Required.
		'title' => 'Gallery Meta',
	
		// Post types, accept custom post types as well - DEFAULT is array('post'). Optional.
		'pages' => array( 'page' ),
	
		// Where the meta box appear: normal (default), advanced, side. Optional.
		'context' => 'normal',
	
		// Order of meta box: high (default), low. Optional.
		'priority' => 'high',
	
		// List of meta fields
		'fields' => array(
			
			// THUMBNAIL GALLERY
			array(
				'name'             => 'Gallery Images',
				'desc'             => 'The images that will be used in the gallery.',
				'id'               => "{$prefix}gallery_images",
				'type'             => 'plupload_image',
				'max_file_uploads' => 100,
			)
						
		)
	);


	/********************* META BOX REGISTERING ***********************/
	
	/**
	 * Register meta boxes
	 *
	 * @return void
	 */
	function sf_register_meta_boxes()
	{
		global $meta_boxes;
		
		// Make sure there's no errors when the plugin is deactivated or during upgrade
		if ( ! class_exists( 'RW_Meta_Box' ) )
			return;
	
		foreach ( $meta_boxes as $meta_box )
		{
			if ($meta_box['id'] == "portfolio_page_meta_box") {
				if (rw_maybe_include("template-portfolio.php")) {
					new RW_Meta_Box( $meta_box );
				}
			} else if ($meta_box['id'] == "contact_page_meta_box") {
				if (rw_maybe_include("template-contact.php")) {
					new RW_Meta_Box( $meta_box );
				}
			} else if ($meta_box['id'] == "blog_page_meta_box") {
				if (rw_maybe_include("template-blog.php")) {
					new RW_Meta_Box( $meta_box );
				}
			} else if ($meta_box['id'] == "clients_page_meta_box") {
				if (rw_maybe_include("template-clients.php")) {
					new RW_Meta_Box( $meta_box );
				}
			} else if ($meta_box['id'] == "team_page_meta_box") {
				if (rw_maybe_include("template-team.php")) {
					new RW_Meta_Box( $meta_box );
				}
			} else if ($meta_box['id'] == "gallery_meta_box") {
				if (rw_maybe_include("template-gallery.php")) {
					new RW_Meta_Box( $meta_box );
				}
			} else if ($meta_box['id'] == "page_meta_box") {
				if ((!rw_maybe_include("template-portfolio.php")) && (!rw_maybe_include("template-blog.php")) && (!rw_maybe_include("template-contact.php")) && (!rw_maybe_include("template-clients.php")) && (!rw_maybe_include("template-team.php")) && (!rw_maybe_include("template-gallery.php"))) {
					new RW_Meta_Box( $meta_box );
				}
			}else {
				new RW_Meta_Box( $meta_box );
			}
		}
		
	}
	// Hook to 'admin_init' to make sure the meta box class is loaded before
	// (in case using the meta box class in another plugin)
	// This is also helpful for some conditionals like checking page template, categories, etc.
	add_action( 'admin_init', 'sf_register_meta_boxes' );
	
	
	/********************* META BOX CHECK ***********************/
	
	/**
	 * Check if meta boxes is included
	 *
	 * @return bool
	 */
	function rw_maybe_include($template_file)
	{
		// Include in back-end only
		if ( ! defined( 'WP_ADMIN' ) || ! WP_ADMIN )
			return false;
	
		// Always include for ajax
		if ( defined( 'DOING_AJAX' ) && DOING_AJAX )
			return true;
	
		// Check for post IDs
		$checked_post_IDs = array();
	
		if ( isset( $_GET['post'] ) )
			$post_id = $_GET['post'];
		elseif ( isset( $_POST['post_ID'] ) )
			$post_id = $_POST['post_ID'];
		else
			$post_id = false;
	
		$post_id = (int) $post_id;
	
		if ( in_array( $post_id, $checked_post_IDs ) )
			return true;
	
		// Check for page template
		$checked_templates = array( $template_file );
	
		$template = get_post_meta( $post_id, '_wp_page_template', true );
		if ( in_array( $template, $checked_templates ) )
			return true;
	
		// If no condition matched
		return false;
	}
		

?>