<?php 

	/*
	*
	*	Theme Customizer Options
	*	------------------------------------------------
	*	Swift Framework v1.0
	* 	Copyright Swift Ideas 2012 - http://www.swiftpsd.com
	*
	*/
		
	add_action( 'customize_register', 'sf_customize_register' );
	
	function sf_customize_register($wp_customize) {
	
		$wp_customize->get_setting('blogname')->transport='postMessage';
		$wp_customize->get_setting('blogdescription')->transport='postMessage';
		$wp_customize->get_setting('header_textcolor')->transport='postMessage';	
		
		
		/* MAIN COLOR SCHEME
		================================================== */
			
		$wp_customize->add_section( 'color_scheme', array(
		    'title'          => __( 'Color - Accent', 'swiftframework' ),
		    'priority'       => 203,
		) );
		
		$wp_customize->add_setting( 'accent_color', array(
			'default'        => '#ed145b',
			'type'           => 'option',
			'transport'      => 'postMessage',
			'capability'     => 'edit_theme_options',
		) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'accent_color', array(
			'label'   => __( 'Accent Color', 'swiftframework' ),
			'section' => 'color_scheme',
			'settings'   => 'accent_color',
			'priority' => 2,
		) ) );
		
		
		/* PAGE STYLING
		================================================== */
		
		$wp_customize->add_section( 'page_styling', array(
		    'title'          => __( 'Color - Page', 'swiftframework' ),
		    'priority'       => 204,
		) );
		
		$wp_customize->add_setting( 'page_bg_color', array(
			'default'        => '#222222',
			'type'           => 'option',
			'transport'      => 'postMessage',
			'capability'     => 'edit_theme_options',
		) );
		
		$wp_customize->add_setting( 'header_bg_color', array(
			'default'        => '#000000',
			'type'           => 'option',
			'transport'      => 'postMessage',
			'capability'     => 'edit_theme_options',
		) );
		
		$wp_customize->add_setting( 'footer_bg_color', array(
			'default'        => '#000000',
			'type'           => 'option',
			'transport'      => 'postMessage',
			'capability'     => 'edit_theme_options',
		) );
		
		$wp_customize->add_setting( 'footer_icon_color', array(
			'default'        => '#FFFFFF',
			'type'           => 'option',
			'transport'      => 'postMessage',
			'capability'     => 'edit_theme_options',
		) );
		
		$wp_customize->add_setting( 'copyright_text_color', array(
			'default'        => '#666666',
			'type'           => 'option',
			'transport'      => 'postMessage',
			'capability'     => 'edit_theme_options',
		) );
		
		$wp_customize->add_setting( 'divider_color', array(
			'default'        => '#333333',
			'type'           => 'option',
			'transport'      => 'postMessage',
			'capability'     => 'edit_theme_options',
		) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'page_bg_color', array(
			'label'   => __( 'Background Color', 'swiftframework' ),
			'section' => 'page_styling',
			'settings'   => 'page_bg_color',
			'priority'       => 1
		) ) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'header_bg_color', array(
			'label'   => __( 'Header Background Color', 'swiftframework' ),
			'section' => 'page_styling',
			'settings'   => 'header_bg_color',
			'priority'       => 2
		) ) );

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'footer_bg_color', array(
			'label'   => __( 'Footer Background Color', 'swiftframework' ),
			'section' => 'page_styling',
			'settings'   => 'footer_bg_color',
			'priority'       => 3
		) ) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'footer_icon_color', array(
			'label'   => __( 'Footer Icon Color', 'swiftframework' ),
			'section' => 'page_styling',
			'settings'   => 'footer_icon_color',
			'priority'       => 4
		) ) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'copyright_text_color', array(
			'label'   => __( 'Copyright Text Color', 'swiftframework' ),
			'section' => 'page_styling',
			'settings'   => 'copyright_text_color',
			'priority'       => 5
		) ) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'divider_color', array(
			'label'   => __( 'Divider Color', 'swiftframework' ),
			'section' => 'page_styling',
			'settings'   => 'divider_color',
			'priority'       => 6
		) ) );
		
		
		/* NAV STYLING
		================================================== */
			
		$wp_customize->add_section( 'nav_styling', array(
		    'title'          => __( 'Color - Nav', 'swiftframework' ),
		    'priority'       => 205,
		) );
		
		$wp_customize->add_setting( 'nav_text_color', array(
			'default'        => '#f7f7f7f',
			'type'           => 'option',
			'transport'      => 'postMessage',
			'capability'     => 'edit_theme_options',
		) );
		
		$wp_customize->add_setting( 'nav_submenu_bg_color', array(
			'default'        => '#222222',
			'type'           => 'option',
			'transport'      => 'postMessage',
			'capability'     => 'edit_theme_options',
		) );
		
		$wp_customize->add_setting( 'nav_border_color', array(
			'default'        => '#2f2f2f',
			'type'           => 'option',
			'transport'      => 'postMessage',
			'capability'     => 'edit_theme_options',
		) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'nav_text_color', array(
			'label'   => __( 'Nav Text Color', 'swiftframework' ),
			'section' => 'nav_styling',
			'settings'   => 'nav_text_color',
			'priority' => 2,
		) ) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'nav_submenu_bg_color', array(
			'label'   => __( 'Nav Submenu Background Color', 'swiftframework' ),
			'section' => 'nav_styling',
			'settings'   => 'nav_submenu_bg_color',
			'priority' => 3,
		) ) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'nav_border_color', array(
			'label'   => __( 'Nav Border Color', 'swiftframework' ),
			'section' => 'nav_styling',
			'settings'   => 'nav_border_color',
			'priority' => 4,
		) ) );
		
		
		/* BODY STYLING
		================================================== */
		
		$wp_customize->add_section( 'body_styling', array(
		    'title'          => __( 'Color - Body', 'swiftframework' ),
		    'priority'       => 206,
		) );
		
		$wp_customize->add_setting( 'body_color', array(
			'default'        => '#f7f7f7',
			'type'           => 'option',
			'transport'      => 'postMessage',
			'capability'     => 'edit_theme_options',
		) );
		
		$wp_customize->add_setting( 'heading_color', array(
			'default'        => '#ffffff',
			'type'           => 'option',
			'transport'      => 'postMessage',
			'capability'     => 'edit_theme_options',
		) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'body_color', array(
			'label'   => __( 'Body Text Color', 'swiftframework' ),
			'section' => 'body_styling',
			'settings'   => 'body_color',
			'priority'       => 1,
		) ) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'heading_color', array(
			'label'   => __( 'Heading Text Color', 'swiftframework' ),
			'section' => 'body_styling',
			'settings'   => 'heading_color',
			'priority'       => 2,
		) ) );
		
		
		/* PORTFOLIO STYLING
		================================================== */
			
		$wp_customize->add_section( 'portfolio_styling', array(
		    'title'          => __( 'Color - Portfolio', 'swiftframework' ),
		    'priority'       => 207,
		) );
		
		$wp_customize->add_setting( 'portfolio_hover_bg_color', array(
			'default'        => '#222',
			'type'           => 'option',
			'transport'      => 'postMessage',
			'capability'     => 'edit_theme_options',
		) );
		
		$wp_customize->add_setting( 'portfolio_hover_text_color', array(
			'default'        => '#fff',
			'type'           => 'option',
			'transport'      => 'postMessage',
			'capability'     => 'edit_theme_options',
		) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'portfolio_hover_bg_color', array(
			'label'   => __( 'Hover Overlay BG Color', 'swiftframework' ),
			'section' => 'portfolio_styling',
			'settings'   => 'portfolio_hover_bg_color',
			'priority' => 2,
		) ) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'portfolio_hover_text_color', array(
			'label'   => __( 'Hover Text Color', 'swiftframework' ),
			'section' => 'portfolio_styling',
			'settings'   => 'portfolio_hover_text_color',
			'priority' => 3,
		) ) );
		
		
		/* SHORTCODE STYLING
		================================================== */
		
		$wp_customize->add_section( 'shortcode_styling', array(
		    'title'          => __( 'Color - Shortcodes', 'swiftframework' ),
		    'priority'       => 208,
		) );
		
		$wp_customize->add_setting( 'pt_primary_bg_color', array(
			'default'        => '#f76363',
			'type'           => 'option',
			'transport'      => 'postMessage',
			'capability'     => 'edit_theme_options',
		) );
		
		$wp_customize->add_setting( 'pt_secondary_bg_color', array(
			'default'        => '#ff9999',
			'type'           => 'option',
			'transport'      => 'postMessage',
			'capability'     => 'edit_theme_options',
		) );
		
		$wp_customize->add_setting( 'pt_tertiary_bg_color', array(
			'default'        => '#f7f7f7',
			'type'           => 'option',
			'transport'      => 'postMessage',
			'capability'     => 'edit_theme_options',
		) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'pt_primary_bg_color', array(
			'label'   => __( 'Pricing Table Primary Background Color', 'swiftframework' ),
			'section' => 'shortcode_styling',
			'settings'   => 'pt_primary_bg_color',
			'priority'       => 1,
		) ) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'pt_secondary_bg_color', array(
			'label'   => __( 'Pricing Table Secondary Background Color', 'swiftframework' ),
			'section' => 'shortcode_styling',
			'settings'   => 'pt_secondary_bg_color',
			'priority'       => 2,
		) ) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'pt_tertiary_bg_color', array(
			'label'   => __( 'Pricing Table Tertiary Background Color', 'swiftframework' ),
			'section' => 'shortcode_styling',
			'settings'   => 'pt_tertiary_bg_color',
			'priority'       => 3,
		) ) );	
				
		
		/* LIVE PREVIEW FUNCTION ACTION
		================================================== */
		
		if ( $wp_customize->is_preview() && ! is_admin() ) {
			add_action( 'wp_footer', 'sf_customize_preview', 21);
		}
		
	}
	
	
	/* JQUERY LIVE PREVIEW
	================================================== */
	
	
	function sf_customize_preview() {
		?>
		<script type="text/javascript">
		( function( $ ){	
		
		// MAIN STYLING
		
		wp.customize('accent_color',function( value ) {
			value.bind(function(to) {
				$('.portfolio-items li .hover-overlay,.recent-post figure,.wpb_box_text.coloured .box-content-wrap,div.jp-play-bar,.jp-volume-bar-value,.button.accent,span.highlighted,span.dropcap4, .related-item figure').css('background-color', to ? to : '' );
				$('a:hover,#global-loading,#footer a,.filtering li a:hover,.filtering li.selected a,.portfolio-item-details .portfolio-client-title,.pagination-wrap li a,.read-more,.read-more-author,.tags .tagcloud a,nav .menu li a:hover,nav .menu ul li a:hover,#footer a:hover,#footer .twitter-text a,#footer .twitter-link a,#copyright a,.sidebar a,.portfolio-item .portfolio-item-permalink,.read-more-link,.blog-item .read-more,.blog-item h1 a:hover,.blog-item-details a,.author-link,#reply-title small a:hover,span.dropcap2,ul.tabs li.ui-state-default a:hover,.accordion .accordion-header:hover,.love-it-wrapper:hover .love-it,.love-it-wrapper:hover span,.comment-meta .comment-author,.comment-author a,.edit-link a,.comment-reply a,#footer .twitter-text a:hover,#footer .twitter-link a:hover,.single-portfolio .menu-item.template-portfolio > a,.single-post .menu-item.template-blog > a,.love-it-wrapper .loved i,.share-links .love-it-wrapper .loved i,.related-item:hover a,nav .menu li.current-menu-ancestor > a,nav .menu li.current-menu-item > a,nav .menu ul li.current-menu-ancestor > a,nav .menu ul li.current-menu-item > a,#control-nav a:hover,.portfolio-details-wrap,.tags-link-wrap .tags a,.nav-previous a,.nav-next a,#comment-area a').css('color', to ? to : '' );
				$('.bypostauthor .comment-wrap .comment-avatar,.search-form input').css('border-color', to ? to : '' );
				$('#copyright').css('border-top-color', to ? to : '' );
				$('nav .menu ul li:first-child:after,.navigation a:hover > .nav-text').css('border-bottom-color', to ? to : '' );
				$('nav .menu ul ul li:first-child:after').css('border-right-color', to ? to : '' );
			});
		});
		
		
		// PAGE STYLING
		wp.customize('page_bg_color',function( value ) {
			value.bind(function(to) {
				$('html,body,ul.tabs li.ui-state-active,code').css('background-color', to ? to : '' );
			});
		});
		wp.customize('header_bg_color',function( value ) {
			value.bind(function(to) {
				$('#header-section').css('background-color', to ? to : '' );
			});
		});
		wp.customize('footer_bg_color',function( value ) {
			value.bind(function(to) {
				$('#sticky-footer').css('background-color', to ? to : '' );
			});
		});
		wp.customize('footer_icon_color',function( value ) {
			value.bind(function(to) {
				$('#control-nav a').css('color', to ? to : '' );
			});
		});
		wp.customize('copyright_text_color',function( value ) {
			value.bind(function(to) {
				$('#copyright p').css('color', to ? to : '' );
			});
		});
		wp.customize('divider_color',function( value ) {
			value.bind(function(to) {
				$('.full-width-wrap,.inner-page-wrap article,.inner-page-wrap article .page-content,.inner-page-wrap .content-wrap,.blog-item .inner-blog-wrap,.blog-item .inner-blog-wrap,.blog-item,.blog-item .spacer,.author-info-wrap,.related-wrap,.tags-link-wrap,.article-body-wrap .share-links,.archive .blog-item,.home .blog-item,.search .blog-item,.navigation,.comment .comment-wrap,blockquote.pullquote,.pricing-table-column,.pricing-table-column:first-child,.pricing-table-wrap.bordered .pricing-table-column,.pricing-table-wrap.bordered_alt .pricing-table-column,.pricing-table-price,.pricing-table-package,table.standard_bordered,table.standard_bordered tr,table.standard_bordered th, table.standard_bordered td,.accordion .accordion-header,.accordion .accordion-body,.tab-content,ul.tabs li,.pagination-wrap,.search-form input,code').css('border-color', to ? to : '' );
			});
		});		
		
		
		// NAV STYLING	
		wp.customize('nav_text_color',function( value ) {
			value.bind(function(to) {
				$('nav .menu li a,nav .menu ul,nav .menu ul li,nav .menu ul li a,.portfolio-filter-wrap a.select,.filtering li a').css('color', to ? to : '' );
			});
		});
		wp.customize('nav_submenu_bg_color',function( value ) {
			value.bind(function(to) {
				$('nav .menu ul,.portfolio-filter-wrap ul').css('background-color', to ? to : '' );
			});
		});
		wp.customize('nav_border_color',function( value ) {
			value.bind(function(to) {
				$('nav .menu ul,nav .menu ul li').css('border-color', to ? to : '' );
			});
		});
		
		
		// BODY STYLING	
		wp.customize('body_color',function( value ) {
			value.bind(function(to) {
				$('body').css('color', to ? to : '' );
			});
		});
		wp.customize('heading_color',function( value ) {
			value.bind(function(to) {
				$('h1,h2,h3,h4,h5,h6,.portfolio-item-details h1,.portfolio-item-details h2,.blog-item h1 a,.sidebar .widget-heading h3').css('color', to ? to : '' );
			});
		});
		
		
		// PORTFOLIO STYLING	
		wp.customize('portfolio_hover_bg_color',function( value ) {
			value.bind(function(to) {
				$('.portfolio-item-details').css('background-color', to ? to : '' );
			});
		});
		wp.customize('portfolio_hover_text_color',function( value ) {
			value.bind(function(to) {
				$('.portfolio-item-details h1,.portfolio-item-details h2').css('color', to ? to : '' );
			});
		});
		
		
		// SHORTCODES STYLING
		wp.customize('pt_primary_bg_color',function( value ) {
			value.bind(function(to) {
				$('.column-highlight .pricing-table-price').css('background-color', to ? to : '' );
				$('.column-highlight .pricing-table-price').css('border-bottom-color', to ? to : '' );
			});
		});
		wp.customize('pt_secondary_bg_color',function( value ) {
			value.bind(function(to) {
				$('.column-highlight .pricing-table-package').css('background-color', to ? to : '' );
				$('.column-highlight .pricing-table-package').css('border-bottom-color', to ? to : '' );
			});
		});
		wp.customize('pt_tertiary_bg_color',function( value ) {
			value.bind(function(to) {
				$('.column-highlight .pricing-table-details').css('background-color', to ? to : '' );
			});
		});
					
		
		// OTHER
		
		wp.customize( 'blogname', function( value ) {
			value.bind( function( to ) {
				$( '#site-title a' ).html( to );
			} );
		} );
		wp.customize( 'blogdescription', function( value ) {
			value.bind( function( to ) {
				$( '#site-description' ).html( to );
			} );
		} );
		} )( jQuery )
		</script>
		<?php 
	}
?>