<?php
	/*
	*
	*	Theme Functions
	*	------------------------------------------------
	*	Swift Framework v1.0
	* 	Copyright Swift Ideas 2012 - http://www.swiftpsd.com
	*
	*/
	
 	/* CUSTOM COLOR STYLES */
	
	function sf_custom_styles() {
		global $data;
		$accent_color = get_option('accent_color', '#ed145b');
		
		$page_bg_color = get_option('page_bg_color', '#222222');
		$header_bg_color = get_option('header_bg_color', '#000000');
		$footer_bg_color = get_option('footer_bg_color', '#000000');
		$footer_icon_color = get_option('footer_icon_color', '#ffffff');
		$copyright_text_color = get_option('copyright_text_color', '#666666');
		$divider_color = get_option('divider_color', '#333333');
		
		$nav_text_color = get_option('nav_text_color', '#ffffff');
		$nav_submenu_bg_color = get_option('nav_submenu_bg_color', '#222222');
		$nav_border_color = get_option('nav_border_color', '#2f2f2f');
		
		$body_color = get_option('body_color', '#f7f7f7');
		$heading_color = get_option('heading_color', '#ffffff');
		
		$portfolio_hover_bg_color = get_option('portfolio_hover_bg_color', '#222222');
		$portfolio_hover_text_color = get_option('portfolio_hover_text_color', '#ffffff');
		
		$pt_primary_bg_color = get_option('pt_primary_bg_color', '#f76363');
		$pt_secondary_bg_color = get_option('pt_secondary_bg_color', '#ff9999');
		$pt_tertiary_bg_color = get_option('pt_tertiary_bg_color', '#f7f7f7');
		
		$standard_font = $data['sf_clique_web_standard_font'];
		$heading_font = $data['sf_clique_web_heading_font'];
		$use_custom_font_one = $data['sf_clique_use_custom_font_one'];
		$custom_font_one = $data['sf_clique_standard_font'];
		$use_custom_font_two = $data['sf_clique_use_custom_font_two'];
		$custom_font_two = $data['sf_clique_heading_font'];
		$custom_css = $data['sf_clique_custom_css'];
		
		echo "<style type='text/css'>";
		
		/* FONT STYLES */
		if ($use_custom_font_one) {
			echo "body, h6, #sidebar .widget-heading h3, #header-search input, #header-items h3.phone-number, .related-wrap h3, #comments-list > h3, .item-heading h1, .button, button, input[type='submit'], input[type='reset'], input[type='button'], .wpb_accordion_section h3, .twitter-tweet-rendered {
				font-family: '".$custom_font_one."', sans-serif;
			}";
		} else {
			echo "body, h6, #sidebar .widget-heading h3, #header-search input, #header-items h3.phone-number, .related-wrap h3, #comments-list > h3, .item-heading h1, .button, button, input[type='submit'], input[type='reset'], input[type='button'], .wpb_accordion_section h3 {
				font-family: ".$standard_font.", Arial, Helvetica, Tahoma, sans-serif;
			}";
		}
		if ($use_custom_font_two) {
			echo "h1, h2, h3, h4, h5, .heading-font, .custom-caption p, span.dropcap1, span.dropcap2, span.dropcap3, span.dropcap4, blockquote, blockquote p {
				font-family: '".$custom_font_two."', sans-serif;
			}";
		} else {
			echo "h1, h2, h3, h4, h5, .heading-font, .custom-caption p, span.dropcap1, span.dropcap2, span.dropcap3, span.dropcap4, blockquote, blockquote p {
				font-family: ".$heading_font.", Arial, Helvetica, Tahoma, sans-serif;
			}";
		}
		
		
		/* ACCENT STYLES */
		echo "::selection, ::-moz-selection, .recent-post figure, .button.accent, span.highlighted, span.dropcap4, #respond .form-submit input, .loved-item:hover .loved-count, .flickr-widget li {
			background-color: ".$accent_color.";
		}
		a:hover, #global-loading, #footer a, #impact-text h2, .filtering li a:hover, .filtering li.selected a, .portfolio-item-details .portfolio-client-title, .pagination-wrap li a, .read-more, .read-more-author, .tags .tagcloud a, nav .menu li a:hover, nav .menu ul li a:hover, #footer a:hover, #footer .twitter-text a, #footer .twitter-link a, #copyright a, .sidebar a, .portfolio-item .portfolio-item-permalink, .read-more-link, .blog-item .read-more, .blog-item h1 a:hover, .blog-item-details a, .author-link, #reply-title small a:hover, span.dropcap2, ul.tabs li.ui-state-default a:hover, .accordion .accordion-header:hover, .love-it-wrapper:hover .love-it, .love-it-wrapper:hover span, .comment-meta .comment-author, .comment-author a, .edit-link a, .comment-reply a, #footer .twitter-text a:hover, #footer .twitter-link a:hover, .single-portfolio .menu-item.template-portfolio > a, .single-post .menu-item.template-blog > a, .love-it-wrapper .loved i, .share-links .love-it-wrapper .loved i, .related-item:hover a, nav .menu li.current-menu-ancestor > a, nav .menu li.current-menu-item > a, nav .menu ul li.current-menu-ancestor > a, nav .menu ul li.current-menu-item > a, #control-nav a:hover, .portfolio-details-wrap, .tags-link-wrap .tags a, .nav-previous a, .nav-next a, #comment-area a {
			color: ".$accent_color.";
		}
		.search-form input:focus {
			border-color: ".$accent_color.";
		}
		#footer {
			border-top-color: ".$accent_color.";
		}
		nav .menu ul li:first-child:after {
			border-bottom-color: ".$accent_color.";
		}";
		
		
		/* PAGE STYLES */
		echo "html,body,ul.tabs li.ui-state-active,code {
			background-color: ".$page_bg_color.";
		}";
		echo "#header-section {
			background-color: ".$header_bg_color.";
		}";
		echo "#sticky-footer {
			background-color: ".$footer_bg_color.";
		}";
		echo "#control-nav a {
			color: ".$footer_icon_color.";
		}";
		echo "#copyright p {
			color: ".$copyright_text_color.";
		}";
		echo ".full-width-wrap, .inner-page-wrap article, .inner-page-wrap article .page-content, .inner-page-wrap .content-wrap, .blog-item .inner-blog-wrap, .blog-item .inner-blog-wrap, .blog-item, .blog-item .spacer, .author-info-wrap, .related-wrap, .tags-link-wrap, .article-body-wrap .share-links, .archive .blog-item, .home .blog-item, .search .blog-item, .navigation, .comment .comment-wrap, blockquote.pullquote, .pricing-table-column, .pricing-table-column:first-child, .pricing-table-wrap.bordered .pricing-table-column, .pricing-table-wrap.bordered_alt .pricing-table-column, .pricing-table-price, .pricing-table-package, table.standard_bordered, table.standard_bordered tr, table.standard_bordered th,  table.standard_bordered td, .accordion .accordion-header, .accordion .accordion-body, .tab-content, ul.tabs li, .pagination-wrap, .search-form input, code {
			border-color: ".$divider_color.";
		}";


		/* NAV STYLES */
		echo "nav .menu li a, nav .menu ul, nav .menu ul li, nav .menu ul li a, .portfolio-filter-wrap a.select, .filtering li a {
			color: ".$nav_text_color.";
		}";
		echo "nav .menu ul {
			background-color: ".$nav_submenu_bg_color.";
		}";
		echo "nav .menu ul, nav .menu ul li {
			border-color: ".$nav_border_color.";
		}";
		
		
		/* BODY STYLES */
		echo "body {
			color: ".$body_color.";
		}";
		echo "h1, h2, h3, h4, h5, h6, .portfolio-item-details h1, .portfolio-item-details h2, .blog-item h1 a, .sidebar .widget-heading h3 {
			color: ".$heading_color.";
		}";

		
		/* PORTFOLIO STYLES */
		echo ".portfolio-item-details {
			background-color: ".$portfolio_hover_bg_color.";
		}";
		echo ".portfolio-item-details h1, .portfolio-item-details h2 {
			color: ".$portfolio_hover_text_color.";
		}";
		
		
		/* SHORTCODE STYLES */
		echo ".column-highlight .pricing-table-price {
			color: #fff;
			background: ".$pt_primary_bg_color.";
			border-bottom-color: ".$pt_primary_bg_color.";
		}
		.column-highlight .pricing-table-package {
			background: ".$pt_secondary_bg_color.";
			border-bottom-color: ".$pt_secondary_bg_color.";
		}
		.column-highlight .pricing-table-details {
			background: ".$pt_tertiary_bg_color.";
			border-bottom-color: ".$pt_tertiary_bg_color.";
		}";
		
		
		/* CUSTOM CSS */
		if ($custom_css) { echo $custom_css; }	
		echo "</style>";
	}
	
	add_action('wp_head', 'sf_custom_styles');
	
	
	/* PORTFOLIO FILTER */
	
	function sf_portfolio_filter() {
		
		$filter = '';
		$filter .= '<a href="#" class="select">'.__("Filter", "swiftframework").'<i class="icon-reorder"></i></a>';
		$filter .= '<ul id="portfolio-filter" class="filtering clearfix">';
		$filter .= '<li class="all selected"><a data-filter="*" href="#">'. __("All", "swiftframework") .'</a></li>';
		
		$tax_terms = get_category_list('portfolio-category');
		foreach ($tax_terms as $tax_term) {
			$term_slug = strtolower(str_replace(' ', '-', $tax_term));
			$filter .= '<li class=""><a href="#" title="View all ' . $tax_term . ' items" class="' . $term_slug . '" data-filter=".' . $term_slug . '">' . $tax_term . '</a></li>';
		}
		
		$filter .= '</ul>';	
		
		return $filter;
		
	}
	
	
	/* PORTFOLIO ITEMS */
	
	function sf_portfolio_items($portfolio_category, $item_count, $page, $ajax) {
		
		$category_array = get_category_list('portfolio-category');
		$category_name = $category_array[$portfolio_category];
		
		// CATEGORY SLUG MODIFICATION			    
	    if ($category_name == "All") {$category_name = '';}
	    $category_slug = str_replace('_', '-', $category_name);
	    
	    // PORTFOLIO QUERY SETUP
		global $post, $wp_query;
		$portfolio_args=array(
			'post_type' => 'portfolio',
			'post_status' => 'publish',
			'paged' => $page,
			'portfolio-category' => $category_slug,
			'posts_per_page' => $item_count
			);
		$portfolio_items = new WP_Query( $portfolio_args );
		
		$items = "";
						
		// LIST CLASS SETUP BASED ON SELECTED OPTIONS
		if (!$ajax) {
		if ($item_count > 0) {
		$pages = ceil($portfolio_items->found_posts / $item_count);
		$items .= '<div id="page-count">'.$pages.'</div>';
		}
		$items .= '<ul class="portfolio-items masonry-items filterable-items clearfix">';
		}
		
		// PORTFOLIO LOOP
		while ( $portfolio_items->have_posts() ) : $portfolio_items->the_post();								
	
			// META VARIABLES
			$thumb_image = $thumb_width = $thumb_height = $link_config = '';
			$thumb_width = 500;
			$thumb_height = 375;
			
			$thumb_type = get_post_meta($post->ID, 'sf_thumbnail_type', true);
			$thumb_image = get_post_meta($post->ID, 'sf_thumbnail_image', true);
			$thumb_gallery = rwmb_meta( 'sf_thumbnail_gallery', 'type=image&size=thumb-image' );
			$thumb_link_type = get_post_meta($post->ID, 'sf_thumbnail_link_type', true);
			$thumb_link_url = get_post_meta($post->ID, 'sf_thumbnail_link_url', true);
			$thumb_lightbox_thumb = rwmb_meta( 'sf_thumbnail_image', 'type=image&size=large' );
			$thumb_lightbox_image = rwmb_meta( 'sf_thumbnail_link_image', 'type=image&size=large' );
			$thumb_lightbox_video_url = get_post_meta($post->ID, 'sf_thumbnail_link_video_url', true);
						
			if (!$thumb_image) {
				$thumb_image = get_post_thumbnail_id();
			}
			
			$item_title = get_the_title();
			$item_id = strtolower(str_replace(" ", "-", $item_title));
			$item_sub_text = get_post_meta($post->ID, 'sf_portfolio_sub_text', true);
			$permalink = get_permalink();
			$thumb_img_url = wp_get_attachment_url( $thumb_image, 'full' );
			$thumb_lightbox_img_url = wp_get_attachment_url( $thumb_lightbox_image, 'full' );
			
			// LINK TYPE VARIABLES
			if ($thumb_link_type == "link_to_url") {
				$link_config = 'href="'.$thumb_link_url.'" class="link-to-url" data-url="'.$permalink.'"';
			} else if ($thumb_link_type == "lightbox_thumb") {
				$link_config = 'href="'.$thumb_img_url.'" class="view" data-url="'.$permalink.'"';
			} else if ($thumb_link_type == "lightbox_image") {
				$lightbox_image_url = '';
				foreach ($thumb_lightbox_image as $image) {
					$lightbox_image_url = $image['full_url'];
				}
				$link_config = 'href="'.$lightbox_image_url.'" class="view" data-url="'.$permalink.'"';	
			} else if ($thumb_link_type == "lightbox_video") {
				$link_config = 'href="'.$thumb_lightbox_video_url.'" class="fancybox-media" data-url="'.$permalink.'"';
			} else {
				$link_config = 'href="'.$permalink.'" class="link-to-post view-link" data-url="'.$permalink.'"';
			}
			
			
			$post_terms = get_the_terms( $post->ID, 'portfolio-category' );
			$term_slug = '';
			
			if(!empty($post_terms)){
				foreach($post_terms as $post_term){
					$term_slug = $term_slug . strtolower(str_replace(' ', '-', $post_term->name)) . ' ';
				}
			}
							
			$items .= '<li id="'. $item_id .'" class="clearfix portfolio-item '. $term_slug .'">';		   
			$items .= '<figure>';
			$items .= '<a '.$link_config.'>';
					
			
			// THUMBNAIL MEDIA TYPE SETUP
			
			if ($thumb_type == "slider") {
				
				$items .= '<div class="flexslider thumb-slider"><ul class="slides">';
							
				foreach ( $thumb_gallery as $image )
				{
				    $items .= "<li><img src='{$image['url']}' width='{$image['width']}' height='{$image['height']}' alt='{$image['alt']}' /></li>";
				}
																
				$items .= '</ul></div>';
				
			} else {
			
				$image = aq_resize( $thumb_img_url, $thumb_width, $thumb_height, true, false);
				
				if($image) {
					
					$items .= '<img class="item-image" src="'.$image[0].'" width="'.$image[1].'" height="'.$image[2].'" />';
					
				}
			}
			
			$items .= '<div class="portfolio-item-details">';
			$items .= '<h1 class="portfolio-item-title">'. $item_title .'</h1>';
			$items .= '<h2 class="portfolio-item-subtitle">'. $item_sub_text .'</h2>';
			$items .= '</div>';
			
			$items .= '</a>';
			$items .= '</figure>';	
			$items .= '</li>';
					
		endwhile;
		
		wp_reset_postdata();
		
		if (!$ajax) {		
		$items .= '</ul>';	
		}
					
		return $items;
		
	}
	
	
	/* BLOG ITEMS */
	
	function sf_blog_items($blog_category, $item_count, $page, $ajax) {
				
		$category_array = get_category_list('category');
		$category_name = $category_array[$blog_category];
				
		// CATEGORY SLUG MODIFICATION			    
		if ($category_name == "All") {$category_name = '';}
		$category_slug = str_replace('_', '-', $category_name);
		
		// BLOG QUERY SETUP
		global $post, $wp_query, $wp_embed;
		$blog_args = array(
			'post_type' => 'post',
			'post_status' => 'publish',
			'paged' => $page,
			'category' => $category_slug,
			'posts_per_page' => $item_count
			);	    		
		$blog_items = new WP_Query( $blog_args );
		
		$items = "";
		
		if (!$ajax) {
		if ($item_count > 0) {
		$pages = ceil($blog_items->found_posts / $item_count);
		$items .= '<div id="page-count">'.$pages.'</div>';
		}
		$items .= '<ul class="blog-items masonry-items clearfix">';
		}
		
		while ( $blog_items->have_posts() ) : $blog_items->the_post();
			    				
			$post_format = get_post_format();
			$post_title = get_the_title();
			$post_author = get_the_author_link();
			$post_date = get_the_date();
			$post_categories = get_the_category_list(', ');
			$post_comments = get_comments_number();
			$post_permalink = get_permalink();
			$custom_excerpt = get_post_meta($post->ID, 'sf_custom_excerpt', true);
			$post_excerpt = '';
			if ($custom_excerpt != '') {
			$post_excerpt = $custom_excerpt;
			} else {
			$post_excerpt = get_the_excerpt();
			}
			$post_content = get_the_content();
			
			$item_figure = $thumb_image = $thumb_width = $thumb_height = $bordered_thumb_width = $bordered_thumb_height = $video = $video_height = $bordered_video_height = $item_class = $item_stats = $link_config = '';
			
			$thumb_width = 400;
			$thumb_height = NULL;
			$video_height = 250;
			
			$thumb_type = get_post_meta($post->ID, 'sf_thumbnail_type', true);
			$thumb_image = get_post_meta($post->ID, 'sf_thumbnail_image', true);
			$thumb_video = get_post_meta($post->ID, 'sf_thumbnail_video_url', true);
			$thumb_gallery = rwmb_meta( 'sf_thumbnail_gallery', 'type=image&size=blog-image' );
			$thumb_link_type = get_post_meta($post->ID, 'sf_thumbnail_link_type', true);
			$thumb_link_url = get_post_meta($post->ID, 'sf_thumbnail_link_url', true);
			$thumb_lightbox_thumb = rwmb_meta( 'sf_thumbnail_image', 'type=image&size=large' );
			$thumb_lightbox_image = rwmb_meta( 'sf_thumbnail_link_image', 'type=image&size=large' );
			$thumb_lightbox_video_url = get_post_meta($post->ID, 'sf_thumbnail_link_video_url', true);
			
			if (!$thumb_image) {
				$thumb_image = get_post_thumbnail_id();
			}
			
			$thumb_img_url = wp_get_attachment_url( $thumb_image, 'full' );
			$thumb_lightbox_img_url = wp_get_attachment_url( $thumb_lightbox_image, 'full' );
			
			// LINK TYPE VARIABLES
			if ($thumb_link_type == "link_to_url") {
				$link_config = 'href="'.$thumb_link_url.'" class="link-to-url"';
			} else if ($thumb_link_type == "lightbox_thumb") {
				$link_config = 'href="'.$thumb_img_url.'" class="fancybox"';
			} else if ($thumb_link_type == "lightbox_image") {
				$lightbox_image_url = '';
				foreach ($thumb_lightbox_image as $image) {
					$lightbox_image_url = $image['full_url'];
				}
				$link_config = 'href="'.$lightbox_image_url.'" class="fancybox"';	
			} else if ($thumb_link_type == "lightbox_video") {
				$link_config = 'href="'.$thumb_lightbox_video_url.'" class="fancybox-media"';
			} else {
				$link_config = 'href="'.$post_permalink.'" class="link-to-post view-link"';
			}
			
			// THUMBNAIL MEDIA TYPE SETUP
			
			if ($thumb_type != "none") {
			
				$item_figure .= '<figure>';
								
				if ($thumb_type == "video") {
					
					$video = video_embed($thumb_video, $thumb_width, $video_height);
					
					$item_figure .= $video;
					
				} else if ($thumb_type == "slider") {
					
					$item_figure .= '<div class="flexslider thumb-slider"><ul class="slides">';
					 					
					foreach ( $thumb_gallery as $image ) {
				    	$item_figure .= "<li><a {$link_config}><img src='{$image['url']}' width='{$image['width']}' height='{$image['height']}' alt='{$image['alt']}' /></a></li>";
					}
																	
					$item_figure .= '</ul></div>';
					
				} else if ($thumb_type == "image") {
				
					$image = aq_resize( $thumb_img_url, $thumb_width, $thumb_height, true, false);
					
					if ($image) {
						
						$item_figure .= '<a '.$link_config.'>';
						
						$item_figure .= '<img src="'.$image[0].'" width="'.$image[1].'" height="'.$image[2].'" />';
											
						$item_figure .= '</a>';
					}
				}
				
				$item_figure .= '</figure>';
			
			}
			
			$item_stats .= '<div class="comments-likes">';
			if ( comments_open() ) {
			$item_stats .= '<i class="icon-comments"></i>'. $post_comments .' ';
			}
			if (function_exists( 'lip_love_it_link' )) {
			$item_stats .= lip_love_it_link(get_the_ID(), '<i class="icon-heart"></i>', '<i class="icon-heart"></i>', false);
			}
			$item_stats .= '</div>';
			
			// BLOG ITEM OUTPUT
			
			$items .= '<li class="blog-item clearfix">';
			$items .= '<div class="inner-blog-wrap clearfix">';
			if ($post_format == "quote") {
			$items .= '<div class="blog-details-wrap">';
			$items .= '<h1><a href="'.$post_permalink.'">'. $post_title .'</a></h1>';
			$items .= '<div class="blog-item-details clearfix">'. sprintf(__('%1$s in %2$s', 'swiftframework'), $post_date, $post_categories).'</div>';
			$items .= '<div class="quote-excerpt heading-font">'. get_the_content() .'</div>';
			$items .= $item_stats;
			$items .= '</div>';
			} else if ($post_format == "status") {
			$items .= '<div class="tweet-excerpt">'.$wp_embed->run_shortcode('[embed]'.$post_content.'[/embed]').'</div>';
			$items .= $item_stats;
			} else {
			$items .= $item_figure;		
			$items .= '<div class="blog-details-wrap">';
			$items .= '<h1><a href="'.$post_permalink.'">'. $post_title .'</a></h1>';
			$items .= '<div class="blog-item-details clearfix">'. sprintf(__('%1$s in %2$s', 'swiftframework'), $post_date, $post_categories).'</div>';
			$items .= '<div class="excerpt">'. $post_excerpt .'</div>';
			$items .= $item_stats;
			$items .= '</div>';
			}	
			$items .= '</div></li>';
			
			$item_figure = '';
			
		endwhile;
		
		wp_reset_postdata();
		if (!$ajax) {
		$items .= '</ul>';
		}
		
		return $items;
	}
	
	
	/* CLIENT ITEMS */
	
	function sf_client_items($clients_category) {
			
		$category_array = get_category_list('clients-category');
		$category_name = $category_array[$clients_category];
				
		// CATEGORY SLUG MODIFICATION			    
		if ($category_name == "All") {$category_name = '';}
		$category_slug = str_replace('_', '-', $category_name);
			
		// CLIENTS QUERY SETUP	
		global $post, $wp_query;
		if ( get_query_var('paged') ) {
		$paged = get_query_var('paged');
		} elseif ( get_query_var('page') ) {
		$paged = get_query_var('page');
		} else {
		$paged = 1;
		}
		$client_args=array(
			'post_type' => 'clients',
			'post_status' => 'publish',
			'paged' => $paged,
			'clients-category' => $category_slug,
			'posts_per_page' => -1
			);
			    		
		$clients_items = new WP_Query( $client_args );
		
		$list_class = "";
		
		$items = "";
		
		$items .= '<ul class="client-items '. $list_class .' clearfix">';
		
		$client_width = 420;
		$client_height = 420;
		
		// CLIENTS LOOP
		
		while ( $clients_items->have_posts() ) : $clients_items->the_post();
			
			$client_image = get_post_meta($post->ID, 'sf_client_image', true);						
			if (!$client_image) {
				$client_image = get_post_thumbnail_id();
			}
			$client_img_url = wp_get_attachment_url( $client_image, 'full' );
			$client_link_url = get_post_meta($post->ID, 'sf_client_link', true);
			   				
			$items .= '<li class="client-item four columns clearfix">';
			
			if ($client_link_url) {$items .= '<a href="'.$client_link_url.'" target="_blank">';}
			  				
			$items .= '<figure>';
				
			$image = aq_resize( $client_img_url, $client_width, $client_height, true, false);
			
			if ($image) {
				$items .= '<img class="thumb-image" src="'.$image[0].'" width="'.$image[1].'" height="'.$image[2].'" />';
			}
			
			$items .= '</figure>';
			
			if ($client_link_url) {$items .= '</a>';}
			
		endwhile;
		
		wp_reset_postdata();
				
		$items .= '</ul>';
		
		return $items;
		
	}
	
	
	/* TEAM MEMBERS */
	
	function sf_team_members($team_category) {
	
		global $data;
		$contact_page = $data['sf_clique_contact_page'];
		$contact_page_title = get_page_by_path( $contact_page );
		$contact_page_id = $contact_page_title->ID;
		$contact_page_url = get_permalink( $contact_page_id );
		
		
		$category_array = get_category_list('team-category');
		$category_name = $category_array[$team_category];
				
		// CATEGORY SLUG MODIFICATION			    
		if ($category_name == "All") {$category_name = '';}
		$category_slug = str_replace('_', '-', $category_name);
		
		// TEAM MEMBERS QUERY SETUP		
		global $post, $wp_query;
		if ( get_query_var('paged') ) {
		$paged = get_query_var('paged');
		} elseif ( get_query_var('page') ) {
		$paged = get_query_var('page');
		} else {
		$paged = 1;
		}
		$team_args=array(
    		'post_type' => 'team',
    		'post_status' => 'publish',
    		'paged' => $paged,
    		'team-category' => $category_slug,
    		'posts_per_page' => -1
		);    			    		
		$team_members = new WP_Query( $team_args );
		
		$list_class = "";
		
		$thumb_width = 420;
		$thumb_height = 420;
		
		$items = "";
		    		
		$items .= '<ul class="team-members '. $list_class .'  clearfix">';

		while ( $team_members->have_posts() ) : $team_members->the_post();
			
			$member_name = get_the_title();
			$member_position = get_post_meta($post->ID, 'sf_team_member_position', true);
			$member_bio = get_post_meta($post->ID, 'sf_team_member_bio', true);
			
			$member_image = get_post_meta($post->ID, 'sf_team_member_image', true);						
			if (!$member_image) {
				$member_image = get_post_thumbnail_id();
			}
			$member_img_url = wp_get_attachment_url( $member_image, 'full' );
			   	
			$items .= '<li class="clearfix team-member four columns">';
			
			$image = aq_resize( $member_img_url, $thumb_width, $thumb_height, true, false);
			
			$items .= '<figure>';
						if($image) {
							$items .= '<img class="thumb-image" src="'.$image[0].'" width="'.$image[1].'" height="'.$image[2].'" />';
						}
			$items .= '</figure>';
			
			$items .= '<h2 class="team-member-name">'. $member_name .'</h2>';
			$items .= '<h3 class="team-member-position">'. $member_position .'</h3>';
			$items .= '<p class="team-member-bio">'. $member_bio .'</p>';
			if ($contact_page) {
			$items .= '<a class="read-more-button" href="'.$contact_page_url.'">'.__("Get in touch", "swiftframework").'</a>';
			}
			$items .= '</li>';
			
		endwhile;
		
		wp_reset_postdata();
				
		$items .= '</ul>';	
			
		return $items;
		
	}
	
	
	/* AJAX LOAD MORE POSTS */
	
	add_action('wp_ajax_nopriv_sfLoadMore', 'loadAjaxPosts');
	add_action('wp_ajax_sfLoadMore', 'loadAjaxPosts');
	function loadAjaxPosts() { 
		switch($_REQUEST['type']) {
			case 'portfolio':
				$output = sf_portfolio_items($_REQUEST['cat'], $_REQUEST['count'], $_REQUEST['page'], true);
			break;
			case 'blog':
				$output = sf_blog_items($_REQUEST['cat'], $_REQUEST['count'], $_REQUEST['page'], true);
			break;
			default:
				$output = 'Incorrect type specified, please contact support.';
			break;
			
		}
		
		$output=json_encode($output);
		if(is_array($output)) {
			print_r($output);   
		} else {
			echo $output;
		}
		die;	
	}

?>