<?php get_header(); ?>
	
<?php if ( is_front_page() ) : ?>

	<!-- OPEN .inner-page-wrap -->
	<div class="inner-page-wrap clearfix has-right-sidebar">
			
		<!-- OPEN .container -->
		<div class="container">
		
			<div class="sixteen columns">
		
				<div class="content-wrap clearfix eleven columns alpha">
					
					<?php if(have_posts()) : ?>
								
						<!-- OPEN .blog-items -->
						<ul class="blog-items archive-items clearfix">
			
						<?php while (have_posts()) : the_post(); ?>
			
							<li class="blog-item">
							<?php // The following determines what the post format is and shows the correct file accordingly
							$format = get_post_format();
							get_template_part( 'includes/post-formats/'.$format );
			
							if($format == '')
							get_template_part( 'includes/post-formats/standard' );
							?>
							</li>
			
						<?php endwhile; ?>
								
						<!-- CLOSE .blog-items -->
						</ul>
			
					<?php endif; ?>
					
					<?php if ( has_previous_posts() || has_next_posts() ) { ?>
							
					<!-- OPEN .navigation .blog-navigation .clearfix -->
					<div class="navigation blog-navigation clearfix">
					
						<div class="nav-previous"><?php next_posts_link(__('<span>&larr;</span> Older Entries', "swiftframework")); ?></div>
						<?php wp_link_pages(); ?>
						<div class="nav-next"><?php previous_posts_link(__('Newer Entries <span>&rarr;</span>', "swiftframework")); ?></div>		
						
					<!-- CLOSE .navigation .blog-navigation .clearfix -->
					</div>
			
					<?php } ?>
								
				</div>
						
				<aside class="sidebar right-sidebar five columns omega">
					<?php dynamic_sidebar('Sidebar One'); ?>
				</aside>
	
			</div>
		
		<!-- CLOSE .container -->	
		</div>
	
	<!-- CLOSE .inner-page-wrap -->
	</div>
	
<?php elseif (is_search()) : ?>

<?php $allsearch = &new WP_Query("s=$s&showposts=-1"); $key = esc_html($s, 1); $count = $allsearch->post_count; _e('', "swiftframework"); wp_reset_query(); ?>

<!-- OPEN .inner-page-wrap -->
<div class="inner-page-wrap clearfix has-right-sidebar">
		
	<!-- OPEN .container -->
	<div class="container">
	
		<div class="sixteen columns">
		
			<?php if ($count > 0) { ?>
			
			<div class="content-wrap clearfix eleven columns alpha">
				
				<div class="title-wrap">
					<?php _e("<h1>'{$key}' ({$count})</h1>", "swiftframework"); ?>	
				</div>

				<!-- OPEN .blog-items -->
				<ul class="blog-items archive-items">
	
				<?php while (have_posts()) : the_post(); ?>
	
					<li class="blog-item">
					<?php // The following determines what the post format is and shows the correct file accordingly
					$format = get_post_format();
					get_template_part( 'includes/post-formats/'.$format );
	
					if($format == '')
					get_template_part( 'includes/post-formats/standard' );
					?>
					</li>
	
				<?php endwhile; ?>
						
				<!-- CLOSE .blog-items -->
				</ul>
			
			</div>
			
			<?php } else { ?>
			
			<article class="help-text eleven columns alpha">
				<?php _e("Sorry, but nothing matched your search criteria.", "swiftframework"); ?> 
				<br/>
				<?php _e("Please try again with some different keywords.", "swiftframework"); ?>
				<?php get_template_part('searchform'); ?>
			</article>
			
			<?php } ?>
								
			<aside class="sidebar right-sidebar five columns omega">
				<?php dynamic_sidebar('Sidebar One'); ?>
			</aside>
					
		</div>
		
	<!-- CLOSE .container -->			
	</div>
		
<!-- CLOSE .inner-page-wrap -->
</div>
		
<?php endif; ?>

<!-- WordPress Hook -->
<?php get_footer(); ?>