<?php get_header(); ?>
	
<?php
	global $data;
	
	$portfolio_data = get_post_meta( $post->ID, 'portfolio', true );
	$current_item_id = $post->ID;
	
	$display_full_width = get_post_meta($post->ID, 'sf_display_full_width', true);
	
	$item_sub_text = get_post_meta($post->ID, 'sf_portfolio_sub_text', true);
	$item_date = get_the_date();
	$item_link = get_post_meta($post->ID, 'sf_portfolio_external_link', true);
	$show_social = get_post_meta($post->ID, 'sf_social_sharing', true);
	$twitter_share = $data['sf_clique_twitter_share_username'];
	
	$article_class = "";
	
	if ($display_full_width) {
	$article_class = "full-width-portfolio";
	} else {
	$article_class = "standard-portfolio";
	}
?>

<div class="inner-page-wrap clearfix">
				
	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

	<article <?php post_class('portfolio-article '. $article_class .' clearfix'); ?> id="<?php the_ID(); ?>">
	
		<?php
			
			$media_type = $media_image = $media_video = $media_gallery = $media_images = '';
			 
			$use_thumb_content = get_post_meta($post->ID, 'sf_thumbnail_content_main_detail', true);
			
			$item_title = get_the_title();
			
			if ($use_thumb_content) {
			$media_type = get_post_meta($post->ID, 'sf_thumbnail_type', true);
			$media_image = get_post_meta($post->ID, 'sf_thumbnail_image', true);
			$media_video = get_post_meta($post->ID, 'sf_thumbnail_video_url', true);
			$media_gallery = rwmb_meta( 'sf_thumbnail_gallery', 'type=image&size=full-width-image' );
			$media_images = rwmb_meta( 'sf_thumbnail_gallery', 'type=image&size=full-image' );
			} else {
			$media_type = get_post_meta($post->ID, 'sf_detail_type', true);
			$media_image = get_post_meta($post->ID, 'sf_detail_image', true);
			$media_video = get_post_meta($post->ID, 'sf_detail_video_url', true);
			$media_gallery = rwmb_meta( 'sf_detail_gallery', 'type=image&size=full-width-image' );
			$media_images = rwmb_meta( 'sf_detail_gallery', 'type=image&size=full-image' );
			}
			
			if (!$media_image) {
				$media_image = get_post_thumbnail_id();
			}
			
			$media_image_url = wp_get_attachment_url( $media_image, 'full' );
						
			// META VARIABLES
			$media_width = 940;
			$media_height = NULL;
			$video_height = 530;
		?>
		
		<figure class="media-wrap">
				
		<?php if ($media_type == "video") { ?>
			
			<?php echo video_embed($media_video, $media_width, $video_height); ?>
		
		<?php } else if ($media_type == "gallery") { ?>
						
			<?php 
				foreach ( $media_images as $image ) {
					echo "<img class='gallery-image' src='{$image['url']}' width='{$image['width']}' height='{$image['height']}' alt='{$image['alt']}' />";
				}
			?>											

		<?php } else if ($media_type == "slider") { ?>
			
			<div class="flexslider portfolio-slider">
				
				<ul class="slides">
						
				<?php 
					foreach ( $media_gallery as $image ) {
						echo "<li><img src='{$image['url']}' width='{$image['width']}' height='{$image['height']}' alt='{$image['alt']}' /></li>";
					}
				?>
															
				</ul>
			
			</div>
			
		<?php } else if ($media_type == "video-gallery") { ?>
					
				<?php echo video_embed($media_video, $media_width, $video_height); ?>
								
				<?php 
					foreach ( $media_images as $image ) {
						echo "<img class='gallery-image' src='{$image['url']}' width='{$image['width']}' height='{$image['height']}' alt='{$image['alt']}' />";
					}
				?>											
			
		<?php } else { ?>
				
			<?php $detail_image = aq_resize( $media_image_url, $media_width, $media_height, true, false); ?>
			
			<?php if ($detail_image) { ?>

				<img src="<?php echo $detail_image[0]; ?>" width="<?php echo $detail_image[1]; ?>'" height="<?php echo $detail_image[2]; ?>'" />
				
			<?php } ?>
			
		<?php } ?>
		
		</figure>
		
		
		<?php if ($display_full_width) { ?>
		<!-- PORTFOLIO ITEM DETAILS -->
		<div class="full-width-wrap">
			<div class="container">	
				<div class="portfolio-details-wrap sixteen columns">
					<span class="date"><i class="icon-calendar"></i><span><?php echo $item_date; ?></span></span>
					<?php if (has_tag()) { ?>
					<span class="tags"><i class="icon-tags"></i><span class="tagcloud"><?php the_tags('', ','); ?></span></span>
					<?php } ?>
					<?php if ($item_link) { ?>
					<span class="item-link"><a class="read-more" href="<?php echo $item_link; ?>" target="_blank"><i class="icon-link"></i><span><?php echo $item_link; ?></span></a></span>
					<?php } ?>
					<?php if ($show_social) { ?>
					<div class="share-links">
						<div class="tweet-this">
						        <a href="https://twitter.com/share" class="twitter-share-button" data-url="<?php the_permalink(); ?>" data-via="<?php echo $twitter_share; ?>" data-lang="en">Tweet</a>
						</div>
						<div id="like-button" class="fb-this">
						        <div class="fb-like" data-href="<?php the_permalink(); ?>" data-send="false" data-layout="button_count" data-width="100" data-show-faces="false"></div>
						</div>
					</div>
					
					<?php } ?>
				</div>
			</div>
		</div>
		
		<div class="container">
		
			<div class="sixteen columns clearfix">
			
				<section class="article-body-wrap">
					
					<section class="portfolio-detail-description">
						<?php if ($item_sub_text) { ?>
						<h1><span><?php echo the_title(); ?></span> - <?php echo $item_sub_text; ?></h1>
						<?php } else { ?>
						<h1><span><?php echo the_title(); ?></span></h1>						
						<?php } ?>
						<div class="body-text">
							<?php the_content(); ?>
						</div>
					</section>
									
				</section>	
			
			</div>
		
		</div>
		
		<?php } else { ?>
		
			
		<div class="side-portfolio-content">
		
			<section class="article-body-wrap">
				
				<section class="portfolio-detail-description">
					<h1><span><?php echo the_title(); ?></span></h1>
					<?php if ($item_sub_text) { ?>
					<h2><?php echo $item_sub_text; ?></h2>
					<?php } ?>
					
					<!-- PORTFOLIO ITEM DETAILS -->
					<div class="portfolio-details-wrap">
						<span class="date"><i class="icon-calendar"></i><span><?php echo $item_date; ?></span></span>
						<?php if (has_tag()) { ?>
						<span class="tags"><i class="icon-tags"></i><span class="tagcloud"><?php the_tags('', ','); ?></span></span>
						<?php } ?>
						<?php if ($item_link) { ?>
						<span class="item-link"><a class="read-more" href="<?php echo $item_link; ?>" target="_blank"><i class="icon-link"></i><span><?php echo $item_link; ?></span></a></span>
						<?php } ?>
					</div>
					
					<div class="body-text">
						<?php the_content(); ?>
					</div>
					
					<?php if ($show_social) { ?>
					<div class="share-links">
						<div class="tweet-this">
							<a href="https://twitter.com/share" class="twitter-share-button" data-url="<?php the_permalink(); ?>" data-via="<?php echo $twitter_share; ?>" data-lang="en">Tweet</a>
						</div>
						<div id="like-button" class="fb-this">
							<div class="fb-like" data-href="<?php the_permalink(); ?>" data-send="false" data-layout="button_count" data-width="100" data-show-faces="false"></div>
						</div>
					</div>
					<?php } ?>
				</section>
								
			</section>	
		
		</div>
		
		<?php } ?>
				
	<!-- CLOSE article -->
	</article>
	
	<?php endwhile; endif; ?>
	
</div>

<!-- WordPress Hook -->
<?php get_footer(); ?>