<?php get_header(); ?>

<?php
	global $data;
	
	$show_author_info = get_post_meta($post->ID, 'sf_author_info', true);
	$show_social = get_post_meta($post->ID, 'sf_social_sharing', true);
	$show_related =  get_post_meta($post->ID, 'sf_related_articles', true);
	$related_post_type = $data['sf_clique_related_articles_type'];
	$twitter_share = $data['sf_clique_twitter_share_username'];
	
	$sidebar_config = get_post_meta($post->ID, 'sf_sidebar_config', true);
	$left_sidebar = get_post_meta($post->ID, 'sf_left_sidebar', true);
	$right_sidebar = get_post_meta($post->ID, 'sf_right_sidebar', true);
	
	$page_wrap_class = '';
	if ($sidebar_config == "left-sidebar") {
	$page_wrap_class = 'has-left-sidebar has-one-sidebar';
	} elseif ($sidebar_config == "right-sidebar") {
	$page_wrap_class = 'has-right-sidebar has-one-sidebar';
	} elseif ($sidebar_config == "both-sidebars") {
	$page_wrap_class = 'has-both-sidebars';
	} else {
	$page_wrap_class = 'has-no-sidebar';
	}
?>

<div class="inner-page-wrap clearfix <?php echo $page_wrap_class; ?>">

	<!-- OPEN .container -->
	<div class="container">
	
		<div class="sixteen columns">
		
			<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
			
				<?php
				
					$post_author = get_the_author_link();
					$post_date = get_the_date();
					$post_categories = get_the_category_list(', ');
					$post_comments = get_comments_number();
					
					$media_type = $media_image = $media_video = $media_gallery = '';
					 
					$use_thumb_content = get_post_meta($post->ID, 'sf_thumbnail_content_main_detail', true);
					
					if ($use_thumb_content) {
					$media_type = get_post_meta($post->ID, 'sf_thumbnail_type', true);
					$media_image = get_post_meta($post->ID, 'sf_thumbnail_image', true);
					$media_video = get_post_meta($post->ID, 'sf_thumbnail_video_url', true);
					$media_gallery = rwmb_meta( 'sf_thumbnail_gallery', 'type=image&size=full-width-image' );
					} else {
					$media_type = get_post_meta($post->ID, 'sf_detail_type', true);
					$media_image = get_post_meta($post->ID, 'sf_detail_image', true);
					$media_video = get_post_meta($post->ID, 'sf_detail_video_url', true);
					$media_gallery = rwmb_meta( 'sf_detail_gallery', 'type=image&size=full-width-image' );
					}
					
					if (!$media_image) {
						$media_image = get_post_thumbnail_id();
					}
					
					$media_image_url = wp_get_attachment_url( $media_image, 'full' );
					
					$enable_lightbox = get_post_meta($post->ID, 'sf_enable_lightbox', true);
					
					if (($sidebar_config == "left-sidebar") || ($sidebar_config == "right-sidebar") || ($sidebar_config == "both-sidebars")) {
					$media_width = 640;
					$media_height = NULL;
					$video_height = 360;
					} else {
					$media_width = 940;
					$media_height = NULL;
					$video_height = 530;
					}
				?>
			
				<!-- OPEN article -->
				<?php if ($sidebar_config == "left-sidebar") { ?>
				<article <?php post_class('content-wrap clearfix eleven columns omega'); ?> id="<?php the_ID(); ?>">
				<?php } elseif ($sidebar_config == "right-sidebar") { ?>
				<article <?php post_class('content-wrap clearfix eleven columns alpha'); ?> id="<?php the_ID(); ?>">
				<?php } else { ?>
				<article <?php post_class('content-wrap clearfix'); ?> id="<?php the_ID(); ?>">
				<?php } ?>
				
					<?php if ($sidebar_config == "both-sidebars") { ?>
						<div class="page-content eight columns omega clearfix">
					<?php } else { ?>
						<div class="page-content clearfix">
					<?php } ?>
							
							<h1><?php the_title(); ?></h1>
					
							<div class="blog-item-details clearfix">
								<span><?php printf(__('By %1$s on %2$s in %3$s', 'swiftframework'), $post_author, $post_date, $post_categories); ?></span>
								<div class="comments-likes">
									<?php if ( comments_open() ) { ?>
									<i class="icon-comments"></i><?php echo $post_comments; ?>
									<?php } ?>
									<?php if (function_exists( 'lip_love_it_link' )) {
										echo lip_love_it_link(get_the_ID(), '<i class="icon-heart"></i>', '<i class="icon-heart"></i>');
									} ?>
								</div>
							</div>
				
							<figure class="media-wrap">
									
							<?php if ($media_type == "video") { ?>
								
								<?php echo video_embed($media_video, $media_width, $video_height); ?>
								
							<?php } else if ($media_type == "slider") { ?>
								
								<div class="flexslider blog-slider">
									
									<ul class="slides">
									
									<?php 
										if ($enable_lightbox) {
											
											foreach ( $media_gallery as $image ) {
										    	echo "<li><a href='{$image['url']}' class='view' rel='".get_the_title()."'><img src='{$image['url']}' width='{$image['width']}' height='{$image['height']}' alt='{$image['alt']}' /></a></li>";
											}
										
										} else {
										
											foreach ( $media_gallery as $image ) {
												echo "<li><img src='{$image['url']}' width='{$image['width']}' height='{$image['height']}' alt='{$image['alt']}' /></li>";
											}
										
										}
									?>
																				
									</ul>
								
								</div>
								
							<?php } else { ?>
									
								<?php $detail_image = aq_resize( $media_image_url, $media_width, $media_height, true, false); ?>
								
								<?php if ($detail_image) { ?>
								
									<?php if ($enable_lightbox) { ?>
									
									<a href="<?php echo $detail_image[0]; ?>" class="view">
										<img src="<?php echo $detail_image[0]; ?>" width="<?php echo $detail_image[1]; ?>'" height="<?php echo $detail_image[2]; ?>'" />
									</a>
									
									<?php } else { ?>
									
									<img src="<?php echo $detail_image[0]; ?>" width="<?php echo $detail_image[1]; ?>'" height="<?php echo $detail_image[2]; ?>'" />
									
									<?php } ?>
									
								<?php } ?>
								
							<?php } ?>
							
							</figure>
								
							<section class="article-body-wrap">
								<div class="body-text">
									<?php the_content(); ?>
								</div>
								
								<?php if ($show_author_info) { ?>
								
								<div class="author-info-wrap clearfix">
									<div class="author-avatar"><?php if(function_exists('get_avatar')) { echo get_avatar(get_the_author_meta('ID'), '75'); } ?></div>
									<div class="author-info">
										<h2>About the Author</h2>
										<span class="author-name"><?php the_author_meta('display_name'); ?></span><a class="read-more" href="<?php echo get_author_posts_url(get_the_author_meta( 'ID' )); ?>"><?php _e("View all posts by", "swiftframework"); ?> <?php the_author_meta('display_name'); ?> ></a>
										<div class="author-bio"><?php echo get_the_author_meta('description'); ?></div>
									</div>
								</div>
								
								<?php } ?>
								
								<?php if ($show_social) { ?>
								
								<div class="share-links clearfix">
									<div class="share-text"><i class="icon-share"></i><?php _e("Share:", "swiftframework"); ?></div>
									<div id="like-button" class="fb-this">
										<div class="fb-like" data-href="<?php the_permalink(); ?>" data-send="false" data-layout="button_count" data-width="100" data-show-faces="false"></div>
									</div>
									<div class="tweet-this">
										<a href="https://twitter.com/share" class="twitter-share-button" data-url="<?php the_permalink(); ?>" data-via="<?php echo $twitter_share; ?>" data-lang="en">Tweet</a>	     
									</div>
								</div>
								
								<?php } ?>
								
								<div class="tags-link-wrap clearfix">
									<?php if (has_tag()) { ?>
									<div class="tags-wrap">
										<i class="icon-tags"></i><?php _e("Tags:", "swiftframework"); ?>
										<span class="tags"><?php the_tags(''); ?></span>
									</div>
									<?php } ?>
									<a class="permalink read-more" href="<?php the_permalink(); ?>"><i class="icon-link"></i><?php _e("Permanent Link", "swiftframework"); ?></a>
								</div>
								
							</section>
							
							<?php if ($show_related) { ?>
							
							<div class="related-wrap">
							<?php
								if ($related_post_type == "tags") {
									$tags = wp_get_post_tags($post->ID);
									if ($tags) {
										$tag_ids = array();
										foreach($tags as $individual_tag) $tag_ids[] = $individual_tag->term_id;
				
										$args=array(
										'tag__in' => $tag_ids,
										'post_type' => 'post',
										'post__not_in' => array($post->ID),
										'showposts'=> 4,  // Number of related posts that will be shown.
										'orderby' => 'rand'
										);
									}
								} else {
									$categories = get_the_category($post->ID);
									if ($categories) {
									$category_ids = array();
									foreach($categories as $individual_category) $category_ids[] = $individual_category->term_id;
				
									$args=array(
										'category__in' => $category_ids,
										'post__not_in' => array($post->ID),
										'showposts'=>4, // Number of related posts that will be shown.
										'orderby' => 'rand',
										'ignore_sticky_posts'=> 1
									);
									}
								}
								$my_query = new wp_query($args);
								if( $my_query->have_posts() ) {
									_e("<h2>Related Articles</h2>", "swiftframework");
									echo '<ul class="related-items clearfix">';
									while ($my_query->have_posts()) {
										$my_query->the_post();
										$thumb_image = "";
										$thumb_image = get_post_meta($post->ID, 'sf_thumbnail_image', true);
										if (!$thumb_image) {
											$thumb_image = get_post_thumbnail_id();
										}
										$thumb_img_url = wp_get_attachment_url( $thumb_image, 'full' );
										$image = aq_resize( $thumb_img_url, 145, 100, true, false);
										?>
										<li class="related-item clearfix four columns">
											<figure>
												<a href="<?php the_permalink(); ?>">
													<?php if ($image) { ?>
													<img src="<?php echo $image[0]; ?>" width="<?php echo $image[1]; ?>" height="<?php echo $image[2]; ?>" />
													<?php } ?>
												</a>
												<figcaption><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></figcaption>
											</figure>
										</li>
									<?php }
									echo '</ul>';
								}
															
								wp_reset_query();
							?>
							</div>
							
							<?php } ?>
							
								
							<div id="comment-area">
								<?php comments_template('', true); ?>
							</div>
							
						</div>
						
					<?php if ($sidebar_config == "both-sidebars") { ?>
						<aside class="sidebar left-sidebar four columns alpha">
							<?php dynamic_sidebar($left_sidebar); ?>
						</aside>
					<?php } ?>
															
				<!-- CLOSE article -->
				</article>
			
			<?php endwhile; endif; ?>
			
			<?php if ($sidebar_config == "left-sidebar") { ?>
				
				<aside class="sidebar left-sidebar five columns alpha">
					<?php dynamic_sidebar($left_sidebar); ?>
				</aside>
		
			<?php } else if ($sidebar_config == "right-sidebar") { ?>
				
				<aside class="sidebar right-sidebar five columns omega">
					<?php dynamic_sidebar($right_sidebar); ?>
				</aside>
				
			<?php } else if ($sidebar_config == "both-sidebars") { ?>
		
				<aside class="sidebar right-sidebar four columns omega">
					<?php dynamic_sidebar($right_sidebar); ?>
				</aside>
			
			<?php } ?>
		
		</div>
			
	</div>

</div>

<!-- WordPress Hook -->
<?php get_footer(); ?>