<?php
/*
Template Name: Contact
*/
?>

<?php get_header(); ?>
	
<?php
	$contact_form_shortcode = get_post_meta($post->ID, 'sf_contact_form_shortcode', true);
	$contact_map = get_post_meta($post->ID, 'sf_google_map_url', true);
	$map_coords = map_embed($contact_map);
?>

<div class="inner-page-wrap clearfix <?php echo $page_wrap_class; ?>">
	
	<?php if ($contact_map) { ?>
	<div id="map-canvas" data-address="<?php echo $contact_map; ?>" data-lat="<?php echo $map_coords['lat']; ?>" data-long="<?php echo $map_coords['long']; ?>"></div>
	<?php } ?>		

	<!-- OPEN .container -->
	<div class="container">
	
		<div class="sixteen columns">
	
		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		
			<!-- OPEN article -->
			<article <?php post_class('clearfix'); ?> id="<?php the_ID(); ?>">
			
				<?php if ($contact_form_shortcode) { ?>
				<div id="contact-form" class="eight columns alpha clearfix">
					<?php echo do_shortcode($contact_form_shortcode); ?>
				</div>
				<?php } ?>
				
				<div id="contact-details" class="eight columns omega clearfix">
					
					<div class="contact-content">
						<?php the_content(); ?>
					</div>
					
				</div>
			
			<!-- CLOSE article -->
			</article>
		
		<?php endwhile; endif; ?>

		</div>
			
	</div>

</div>

<!-- WordPress Hook -->
<?php get_footer(); ?>